<?php

/**
 * @author Jiří Bednář
 * @date 25. ledna 2012
 */

/**
 *  Funkce upravujicí datum ve tvaru YYYY-MM-DD-HH-MM-SS
 *
 *  @param date input základního formátu data
 *  @param show výběr formátu výstupu
 *  @return Datum ve tvaru DD.MM.YYYY
 *  @return Datim ve tvaru DD.MM.YYYY HH:MM:SS
 */
function substractDate($date, $show) {
    $substrDateYear = substr($date, 0, 4);
    $substrDateMonth = substr($date, 5, 2);
    $substrDateDay = substr($date, 8, 2);
    $substrDateHour = substr($date, 11, 2);
    $substrDateMin = substr($date, 14, 2);
    $substrDateSec = substr($date, 17, 2);

    /**
     * Výběr formátu data na výstupu
     */
    if ($show == 0) {
        return $substrDate = $substrDateDay . "." . $substrDateMonth . "." . $substrDateYear;
    } else {
        return $substrDate = $substrDateDay . "." . $substrDateMonth . "." . $substrDateYear . " " . $substrDateHour . ":" . $substrDateMin . ":" . $substrDateSec;
    }
}

/**
 *  Výpis obsahu <header> na veřejné stránce systému
 *
 *  @param web Vstup pole s nastavením stránky
 *  @param title Titulek webové stránky, momentální pozice
 */
function head($web, $title) {
    return "\n<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/>
        <meta name=\"distribution\" content=\"" . $web['distribution'] . "\"/>
        <meta name=\"description\" content=\"" . $web['meta_description'] . "\"/>
        <meta name=\"keywords\" content=\"" . $web['key_words'] . "\"/>
        <meta name=\"robots\" content=\"" . $web['meta_robots'] . "\"/>
        <link rel=\"shortcut icon\" href=\"favicon.ico\"/>
        <link href=\"favicon.ico\" rel=\"icon\" type=\"image/ico\"/>
        <link href=\"bin/style/" . $web['style'] . "/style.css\" rel=\"stylesheet\" type=\"text/css\"/>
        <meta name=\"generator\" content=\"MyPage CMS, mypage.jiribednar.eu\"/>
        <title>" . $web['web_name'] . " " . $title . "</title>\n";
}

/**
 *  Vypsání názvu webové stránky - nastavení v administraci
 *
 *  @param web vstup pole s nastavením webové stránky, obsahuje i název webu
 *  @return vrací název webu
 */
function webHeaderName($web) {
    if($web['show_webname'] == "yes"){
        return $web['web_name'];    
    }    
}

/**
 *  Vypsání popisu webové stránky - nastavení v administraci
 *
 *  @param web vstup pole s nastavením webové stránky, obsahuje i popis webu
 *  @param vrací popis webu
 */
function webHeaderDescription($web) {
    return $web['web_description'];
}

/**
 *  Vypsání zápatí webové stránky
 *
 *  @param web vstup pole s nastavením webové stránky, obsahuje i patučku webu
 *  @return vrací patičku webu
 *  TODO: Doplnit automaticky odkaz
 */
function footer($web) {
    return "<a href=\"./\">" . $web['web_name'] . "</a>";
}

/**
 * vypsání "Úvod" odkazu
 *
 * @param lang
 * @return vrací odkaz "Menu"
 */
function menu($lang) {
    return "<li><a href=\"./\">" . $lang['main'] . "</a></li>\n";
}

/**
 * Generátor seznamů <li>, vhodné pro menu
 */
function li_generator($address, $start = 1, $web = FALSE) {

    /**
     * Vytvoření pole se soubory a proměnné s jejich počtem
     */
    $document = scandir($address);
    $count = count($document) - 1;

    switch ($address) {
        case "pub/pag":
            $id = "p";
            break;
        case "pub/lin":
            $id = "l";
            break;
        case "pub/rub":
            $id = "r";
            break;
        case "pub/gal":
            $id = "g";
            break;
        case "pub/art":
            $id = "a";
            break;        
    }

    /**
     * Od nejstaršího po nejnovějšího
     */
    if ($id != "g" && $id != "a") {
        if ($start == 1) {

            /**
             * Generátor seznamu odkazů
             */
            $x = null;
            for ($a = 0; $a <= $count; $a++) {

                /**
                 * Ověření zda $document není složka, v tom případě otevře soubor se stránkou a načte ji do proměnné $content
                 */
                if (!is_dir($address . "/" . $document[$a])) {
                    $file = fopen($address . "/" . $document[$a], "r");
                    $content = fread($file, filesize($address . "/" . $document[$a]));
                    if ($id == "r") {
                        list($document[$a]) = explode("!mpc#!", $content);
                        $href = "?$id=$document[$a]";
                        $linkset = FALSE;                      
                    } elseif ($id == "l") {
                        list($name, $document[$a], $target, $rel) = explode("!mpc#!", $content);
                        $href = "$document[$a]";
                        $linkset = "target=\"" . $target . "\" rel=\"" . $rel . "\"";
                    } else {
                        list($name, $ax, $ax, $ax, $ax, $ax, $ax, $href_add, $ax, $ax, $ax, $ax, $ax, $ax, $ax, $ax, $menu_pos) = explode("!mpc#!", $content);
                        if (strlen($href_add) >= 8) {
                            $href = $href_add;
                        } else {
                            $href = "?$id=".substr($document[$a], 2,-4).".html";
                        }
                        $linkset = FALSE;
                    }
                    fclose($file);

                    /**
                     * Přeložení proměnné $content a vygenerování odkazu
                     */
                    if(isset($_GET[$id]) && "?$id=".$_GET[$id] == $href){
                        $active = "class=\"active\"";
                    } else {
                        $active = false;
                    }    
                    list($name) = explode("!mpc#!", $content);
                    echo "<li><a href=\"$href\" $linkset $active>$name</a></li>\n";
                }
            }
        } else {
            /**
             * Od nejnovějšího po nejstarší
             */
            /**
             * Generátor seznamu odkazů
             */
            for ($a = $count; $a >= 1; $a--) {

                /**
                 * Ověření zda $document není složka, v tom případě otevře soubor se stránkou a načte ji do proměnné $content
                 */
                if (!is_dir($address . "/" . $document[$a])) {
                    $file = fopen($address . "/" . $document[$a], "r");
                    $content = fread($file, filesize($address . "/" . $document[$a]));
                    if ($id == "r") {
                        list($document[$a]) = explode("!mpc#!", $content);
                        $href = "?$id=$document[$a]";
                    } elseif ($id == "l") {
                        list($name, $document[$a]) = explode("!mpc#!", $content);
                        $href = "http://$document[$a]";
                    } else {
                        $href = "?$id=$document[$a]";
                    }
                    fclose($file);

                    /**
                     * Přeložení proměnné $content a vygenerování odkazu
                     */
                    list($name) = explode("!mpc#!", $content);
                    echo "<li><a href=\"$href\">$name</a></li>\n";
                }
            }
        }
    } else {
        if($id == "g"){
            for ($a = $count; $a >= 1; $a--) {

                /**
                * Ověření zda $document není složka, v tom případě otevře soubor se stránkou a načte ji do proměnné $content
                */
                if (!is_dir($address . "/" . $document[$a])) {
                    $file = fopen($address . "/" . $document[$a], "r");
                    $content = fread($file, filesize($address . "/" . $document[$a]));
                    $href = "?$id=".substr($document[$a], 0,-4).".html";
                    fclose($file);

                    /**
                    * Přeložení proměnné $content a vygenerování odkazu
                    */
                    list($name) = explode("!mpc#!", $content);
                    echo "<li><a href=\"$href\">$name</a></li>\n";
                }
            }            
        } else { 
            /**
             * Výpis posledních článků
             */
            for ($a = $count; $a >= $count-$web['last_articles_limit']; $a--) {
                if($a > 0){                                    
                    /**
                    * Ověření zda $document není složka, v tom případě otevře soubor se stránkou a načte ji do proměnné $content
                    */
                    if (!is_dir($address . "/" . $document[$a])) {
                        $file = fopen($address . "/" . $document[$a], "r");
                        $content = fread($file, filesize($address . "/" . $document[$a])); 
                        fclose($file);

                        $href = "?$id=".substr($document[$a], 0,-4).".html";

                        if(isset($_GET[$id]) && "?$id=".$_GET[$id] == $href){
                            $active = "class=\"active\"";
                        } else {
                            $active = false;
                        }                     

                        list($name) = explode("!mpc#!", $content);
                        echo "<li><a href=\"$href\" $active>$name</a></li>\n";    
                    }
                }
            }
        }
    }
}

function calendar($lang) {
    $document = scandir("pub/art");
    $count = count($document);

    foreach ($document as $key=>$value) {
        if ($value != ".." && $value != "." && $value != "comments") {
            $year = substr($value, 0, 4);
            $month = substr($value, 5, 2);
            $months = array(
                "1" => $lang['jan'],
                "2" => $lang['feb'],
                "3" => $lang['mar'],
                "4" => $lang['apr'],
                "5" => $lang['may'],
                "6" => $lang['jun'],
                "7" => $lang['jul'],
                "8" => $lang['aug'],
                "9" => $lang['sep'],
                "10" => $lang['oct'],
                "11" => $lang['nov'],
                "12" => $lang['dec']
            );
            foreach ($months as $id => $value) {
                if ($id == $month) {
                    $return = $value;
                }
            }
            echo "<li><a href=\"?a=" . substr($document[$key], 0, -4).".html" . "\">$return $year</a></li>";
        }
    }
}

/**
 * Funkce zobrazující odkazy (číslování) pro stránkování
 *
 * @param web vlaží pole s nastavení webu (etc/web_settings.php)
 * @param _GET proménné použíte v adrese pro omezení výpisu
 * @param noa upravení výpisu
 */
function articlePaging($web, $_GET, $noa = FALSE, $lang) {
    if($noa != "tinc"){       
        if ($web['counting'] == "yes") {
            if ($noa == FALSE) {
                $document = scandir("pub/art");
                $count = count($document) - 3;
            } else {
                $document = $noa;
                $count = count($noa);
            }
            if ($_GET != TRUE || isset($_GET['c']) == TRUE || isset($_GET['r']) == TRUE) {
                if (isset($_GET['r']) && $_GET['r'] == TRUE) {
                    $add_rub_url = "&r=" . $_GET['r'] . "";
                }
                /**
                * Pokud je článků víc než je nastavený počet zobrazených, vytvoří se stránkování
                */
                if ($count > $web['section_count_content'] && $web['section_count_content'] != "all" && $web['section_count_content'] != "hide_all") {
                    echo "<div id=\"counter\">";
                    $counter = ceil($count / $web['section_count_content']);
                    $counterOrig = $counter;
                    echo "<br>";
                        /**
                        * Text s odkazem "První" 
                        */
                        if(isset($add_rub_url)){
                            echo '<a href="?c=1'. $add_rub_url . '">' . $lang['first'] . '</a> ';
                        } else {
                            echo '<a href="?c=1">' . $lang['first'] . '</a> ';
                        }
                    echo "| ";

                    $counterLimit = $web['counterLimit'];
                    if($counter <= $counterLimit){
                        $start = 1;
                        $counter = $counter;                    
                    } else {
                        if(isset($_GET['c']) && $_GET['c'] >= $counterLimit-1){
                            $start = $_GET['c']-1;                       
                            if($start <= 0){
                                $start = 1;
                            }
                            $precountered = $counterLimit + $_GET['c']-1;  
                            if($precountered >= $counter){

                            } else {
                            $counter = $precountered;  
                            }
                        } else {
                            $start = 1;
                            $counter = $counterLimit;                           
                        }
                    }

                    for ($a = $start; $a <= $counter; $a++) {
                        if(isset($add_rub_url)){
                            echo '<a href="?c=' . $a . '' . $add_rub_url . '">' . $a . '</a> | ';
                        } else {
                            echo '<a href="?c=' . $a . '">' . $a . '</a> | ';
                        }                    
                    }

                    /**
                    * Text s odkazem "Poslední" 
                    */
                    if(isset($add_rub_url)){
                            echo '<a href="?c=' . $counterOrig . $add_rub_url . '">' . $lang['last'] . '</a>';
                        } else {
                            echo '<a href="?c=' . $counterOrig . '">' . $lang['last'] . '</a>';
                        }      

                    echo " | Počet stran: " . $counterOrig;
                    echo "<br>";
                    echo "</div>";
                }
            }
        }
    }
}

/**
 * vypisování obsahové části veřejné stránky (content)
 *
 * @param web $web
 * @param _GET $_GET
 * @param lang $lang
 * @param comments $comments
 */
function content($web, $_GET, $lang, $comments) {

    /**
     * Zobrazení pouze určité rubriky na hlavní stránce MyPage
     * Pokud neexistuje požadavek pro výpis určité rubriky, článku nebo stránky, tak se provede
     */
    if ($web['main_show_rubrics'] != "all" && !isset($_GET['r']) && !isset($_GET['a']) && !isset($_GET['p'])) {
        $_GET['r'] = $web['main_show_rubrics'];
    }

    /**
     * načtení stylu obsahu šablony - slouží pro přesné formátování textu šablony
     */
    include("bin/style/$web[style]/templateContent.php");

    /**
     * Hlavní vypisování obsahu
     * (kontrola existence vyhledávacího požadavku)
     */
    if (!isset($_GET['s'])) {

        /**
         * Pokud není v adrese pŕítomen žádný prvek $_GET nebo není požadavek na výpis rubriky a $_GET['c'] existuje a je číslo, provede se
         */
        if ($_GET == FALSE || is_numeric((isset($_GET['c'])) ? $_GET['c'] : FALSE) && isset($_GET['r']) == FALSE) {

            $document = scandir("pub/art");
            $count = count(scandir("pub/art")) - 3;
            $target = 2;
            $count++;
            /*
              for($a = $count; $a >= $target; $a--){
              if(!is_dir("pub/art/".$document[$a])){
              $file = fopen("pub/art/".$document[$a], "r");
              $content = fread($file, filesize("pub/art/".$document[$a]));
              fclose($file);

              list($name, $perex, $content, $rubrics, $comments_set, $keywords, $description, $link, $status, $author, $date, $date_2, $content_type) = explode("!mpc#!",$content);

              if($date_2 <= date("d-m-Y-H-i-s")){

              echo "Ano";
              }
              else{
              echo $date_2;
              echo "ne";
              $t++;
              $document[$t] = $document[$a];
              }
              }
              }

              $count = count($document);
             */

            /**
             * výpoćet pro zobrazení pouze určitého poćtu článku od nejnovějšího po nejstarší
             */
            if ($count >= $web['section_count_content'] && $web['section_count_content'] != "all") {
                $target = count(scandir("pub/art")) - 1 - $web['section_count_content'];
                if (isset($_GET['c'])) {
                    $c = $_GET['c'];
                    if ($c != "1") {
                        $c--;
                        $set_count = $web['section_count_content'] * $c;
                        $count = $count - $set_count;
                        $target = $target - $set_count;
                    }
                }
            }

            /**
             * v případě že neexistuje žádný článek, vypíše se úvodní text a informativní text
             */
            if ($count <= 1 && $web['main_page_articles'] != "no") {
                include("./pub/main_text.php");
                echo "<p>$lang[there_is_no_content]<p>\n";
            } elseif ($web['main_page_articles'] == "no"){
                include("./pub/main_text.php");
            }

            /**
             * ČLÁNEK
             * výpis článků na úvodní stránku
             */ elseif ($count >= 2 && $web['main_page_articles'] != "no") {

                /**
                 * Vypsání úvodní textu
                 */
                include("./pub/main_text.php");
                for ($a = $count; $a >= $target; $a--) {

                    if (!is_dir("pub/art/" . @$document[$a])) {

                        $file = fopen("pub/art/" . $document[$a], "r");
                        $content = fread($file, filesize("pub/art/" . $document[$a]));
                        fclose($file);

                        list($name, $perex, $content, $rubrics, $comments_set, $content_type, $link_type, $link_rel, $link, $status, $date, $author, $date_2, $fullname, $tag) = explode("!mpc#!", $content);

                        $date = substractDate($date, 0);
                        $n_comments = countComments("pub/art/", $document[$a], $comments);

                        if (strlen($link) >= 8) {
                            $link = $link;
                        } else {
                            $link = "?a=" . substr($document[$a], 0,-4).".html";
                        }

                        if ($web['author'] == "fullname") {
                            $author = $fullname;
                        }
                        if ($content_type == "allow" || $content_type == FALSE) {

                            /**
                             * Vypisuje se při zobrazení perexu článků na úvodní stránce (v seznam článků)
                             */
                            $comments_esc = escalation($n_comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                            templatePerex($name, $date, $author, $rubrics, $perex, $content, $link, FALSE, $n_comments, $comments_esc, $tag, $comments_set, $lang);
                        } else {

                            /**
                             * Vypisuje se při zobrazení celkového článku, perexu i obsahu (v seznam článků)
                             */
                            $comments_esc = escalation($comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                            templatePerexContent($name, $date, $author, $rubrics, $perex, $content, $link, FALSE, $n_comments, $_GET, $comments_esc, $tag, $comments_set, $lang);
                        }
                    }
                }
            }
        }

        /**
         * v případě existence požadavku zobrazení článku v rubrikách se provede tento přikaz
         */ 
        elseif (isset($_GET['r']) == TRUE || isset($_GET['c']) == TRUE) {
            $document = scandir("pub/art", 1);
            $count = count(scandir("pub/art")) - 2;
            $target = 0;
            $count++;

            if ($count == 2) {
                echo "<p>$lang[there_is_no_content]<p>\n";
            } elseif ($count >= 3) {

                /**
                 * vytvoření pole a jeho očíslování s články pouze z dané rubriky
                 */
                $b = null;
                for ($a = $count; $a >= $target; $a--) {
                    if (!is_dir("pub/art/" . $document[$a])) {
                        $file = fopen("pub/art/" . $document[$a], "r");
                        $content = fread($file, filesize("pub/art/" . $document[$a]));
                        fclose($file);
                        list($name, $perex, $content, $rubrics, $comments_set, $content_type, $link_type, $link_rel, $link, $status, $date, $author, $date_2, $fullname, $tag) = explode("!mpc#!", $content);
                        if ($_GET['r'] == $rubrics) {
                            ++$b;
                            $document_r[$b] = $document[$a];
                        } else {
                            //$b = null;
                        }
                    }
                }

                /**
                 * výpoćet pro zobrazení pouze určitého poćtu článku od nejnovějšího po nejstarśí
                 */
                if ($b >= $web['section_count_content'] && $web['section_count_content'] != "all") {
                    ++$b;
                    $target = $b - $web['section_count_content'];
                    if (isset($_GET['c'])) {
                        $c = $_GET['c'];
                        if ($c != "1") {
                            $c--;
                            $set_count = $web['section_count_content'] * $c;
                            $b = $b - $set_count;
                            $target = $target - $set_count;
                        }
                    }
                } else {
                    ++$b;
                }

                /**
                 * při existenci nejméně jednoho článku v požadované rubrice se vypíše
                 */
                if ($b >= 1) {
                    --$b;
                    if ($b >= 1) {
                        for ($a = $b; $a >= $target; $a--) {

                            if ($a > 0 && !is_dir("pub/art/" . $document_r[$a])) {
                                $file = fopen("pub/art/" . $document_r[$a], "r");
                                $content = fread($file, filesize("pub/art/" . $document_r[$a]));
                                fclose($file);

                                list($name, $perex, $content, $rubrics, $comments_set, $content_type, $link_type, $link_rel, $link, $status, $date, $author, $date_2, $fullname, $tag) = explode("!mpc#!", $content);

                                $date = substractDate($date, 0);

                                if (strlen($link) >= 8) {
                                    $link = $link;
                                } else {
                                    $link = "?a=" . substr($document_r[$a],0,-4).".html";
                                }
                                $n_comments = countComments("pub/art/", $document_r[$a], $comments);

                                if ($web['author'] == "fullname") {
                                    $author = $fullname;
                                }
                                if ($content_type == "allow" || $content_type == FALSE) {
                                    $comments_esc = escalation($n_comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                                    templatePerex($name, $date, $author, $rubrics, $perex, $content, $link, FALSE, $n_comments, $comments_esc, $tag, $comments_set, $lang);
                                } else {
                                    $comments_esc = escalation($n_comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                                    templatePerexContent($name, $date, $author, $rubrics, $perex, $content, $link, FALSE, $n_comments, $_GET, $comments_esc, $tag, $comments_set, $lang);
                                }
                            }
                        }
                    }
                }
                if ($b <= 0) {
                    echo "<p>$lang[there_is_no_content]<p>\n";
                    return "tinc";
                } else {
                    /**
                     * pokud neexistuje ani jeden článek, vypíše se informativní text
                     */
                    //echo "<p>$lang[there_is_no_content_in_the_section] $_GET[r]</p>";
                }
            }
            return (isset($document_r)) ? $document_r : FALSE;
        } elseif (isset($_GET['t']) == TRUE) {
            $found = null;
            /**
             * Page
             */
            $document = scandir("pub/pag");
            $count = count(scandir("pub/pag")) - 1;
            for ($a = $count; $a >= 0; $a--) {

                if (!is_dir("pub/pag/" . $document[$a])) {
                    $file = fopen("pub/pag/" . $document[$a], "r");
                    $content = fread($file, filesize("pub/pag/" . $document[$a]));
                    fclose($file);

                    list($name, $perex, $content, $rubric, $comments, $keywords, $description, $link, $stat, $author, $date, $later_date, $link_type, $link_rel, $fullname, $tag) = explode("!mpc#!", $content);
                    $date = substractDate($date, 0);
                    $tags = explode(",", $tag);
                    foreach ($tags as $value) {
                        if (preg_match("~$_GET[t]~i", $value)) {
                            if (strlen($link) >= 8) {
                                $link = $link;
                            } else {
                                $link = "?p=" . substr($document[$a], 2,-4).".html";
                            }
                            $n_comments = countComments("pub/pag/", $document[$a], $comments);
                            $comments_esc = escalation($comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                            templatePerexContent($name, $date, $author, FALSE, $perex, FALSE, $link, FALSE, $n_comments, $_GET, $comments_esc, $tag, $comments, $lang);                  
                            //templatePerexContent($name, $date, $author, FALSE, $perex, /* $content */ FALSE, $link, /*$address*/ FALSE, $comments, $_GET, $comments_esc, $tag, FALSE);
                            $found++;
                        }
                    }
                }
            }
            

            /**
             * Article
             */
            $document = scandir("pub/art");
            $count = count(scandir("pub/art")) - 1;
            
            for ($a = $count; $a >= 0; $a--) {
                if (!is_dir("pub/art/" . $document[$a])) {
                    $file = fopen("pub/art/" . $document[$a], "r");
                    $content = fread($file, filesize("pub/art/" . $document[$a]));
                    fclose($file);

                    list($name, $perex, $content, $rubrics, $comments_set, $content_type, $link_type, $link_rel, $link, $status, $date, $author, $date_2, $fullname, $tag) = explode("!mpc#!", $content);
                    $date = substractDate($date, 0);
                    $tags = explode(",", $tag);
                    foreach ($tags as $value) {

                        //if ($_GET['t'] == $value) {
                        if(preg_match("~$_GET[t]~i", $value)) {
                            if (strlen($link) >= 8) {
                                $link = $link;
                            } else {
                                $link = "?a=" . substr($document[$a],0,-4).".html";
                            }
                            $n_comments = countComments("pub/art/", $document[$a], $comments);
                            $comments_esc = escalation($n_comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                            templatePerex($name, $date, $author, $rubrics, $perex, $content, $link, FALSE, $n_comments, $comments_esc, $tag, $comments_set, $lang);
                            $found++;
                        }
                    }

                    /* if($a == $b){

                      if(strlen($link) >= 8){
                      $link = $link;
                      }else{
                      $link = "?a=".$document[$a];
                      }

                      templatePerex($name, $date, $author, $rubrics, $perex, $content, $link, $address, $n_comments, $comments, $tag);
                      $found++;
                      } */
                }
            }
            
            /**
             * Gallerie
             */
            $document = scandir("pub/gal");
            $count = count(scandir("pub/gal")) - 1;
            for ($a = $count; $a >= 0; $a--) {

                if (!is_dir("pub/gal/" . $document[$a])) {
                    $file = fopen("pub/gal/" . $document[$a], "r");
                    $content = fread($file, filesize("pub/gal/" . $document[$a]));
                    fclose($file);

                    list($name, $content, $comments, $date, $author, $fullname, $tag) = explode("!mpc#!", $content);
                    $date = substractDate($date, 0);
                    $tags = explode(",", $tag);
                    foreach ($tags as $value) {
                        
                        if (preg_match("~$_GET[t]~i", $value)) {
                            /*
                            if (strlen($link) >= 8) {
                                echo $link = $link;
                            } else {
                                $link = "?g=" . substr($document[$a], 2);
                            }*/
                            $link = "?g=" . substr($document[$a], 0,-4).".html";

                            $n_comments = countComments("pub/gal/", $document[$a], $comments);
                            $comments_esc = escalation($comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                            templatePerexContent($name, $date, $author, FALSE, FALSE, FALSE, $link, FALSE, $n_comments, $_GET, $comments_esc, $tag, $comments, $lang);                  
                            //templatePerexContent($name, $date, $author, FALSE, $perex, /* $content */ FALSE, $link, /*$address*/ FALSE, $comments, $_GET, $comments_esc, $tag, FALSE);
                            $found++;
                        }
                    }
                }
            }            
            
            if ($found == 0) {
                echo $lang['nothing_was_found'];
            }
        }

        /**
         * ČLÁNEL, STRÁNKA, GALERIE - zobrazení celé stránky
         */ elseif (isset($_GET['s']) != FALSE || isset($_GET['a']) == TRUE || isset($_GET['p']) == TRUE || isset($_GET['g']) == TRUE) {

            if (isset($_GET['a']) == TRUE) {
                $address = "pub/art/";
                $file_name = substr($_GET['a'],0,-5) . ".txt";
            }

            if (isset($_GET['p']) == TRUE) {
                $address = "pub/pag/";
                $file_name = substr($_GET['p'],0,-5) . ".txt";
                $scan = scandir("pub/pag/");
                foreach($scan as $value){
                    if($value != "." && $value != ".."  && preg_match("/".$file_name."/", $value)){
                        $file_name = $value;
                    }    
                }
                
            }

            if (isset($_GET['g']) == TRUE) {
                $address = "pub/gal/";
                $file_name = substr($_GET['g'],0,-5) . ".txt";
            }

            if (file_exists($address . $file_name)) {
                $file = fopen($address . $file_name, "r");
                $content = fread($file, filesize($address . $file_name));
                fclose($file);

                if (isset($_GET['a']) == TRUE) {
                    list($name, $perex, $content, $rubric, $comments[], $content_type, $link_type, $link_rel, $link, $status, $date, $author, $date_2, $fullname, $tag) = explode("!mpc#!", $content);
                    $n_comments = countComments("pub/art/", $file_name, $comments);
                }

                if (isset($_GET['p']) == TRUE) {
                    list($name, $perex, $content, $rubric, $comments[], $keywords, $description, $link, $stat, $author, $date, $later_date, $link_type, $link_rel, $fullname, $tag) = explode("!mpc#!", $content);
                    $n_comments = countComments("pub/pag/", $file_name, $comments);
                    //list($name, $perex, $content, $rubrics, $comments[], $keywords, $description, $link, $status, $author, $date, $date_2, $link_type, $link_rel, $fullname) = explode("!mpc#!",$content);
                }
                if (isset($_GET['g']) == TRUE) {
                    list($name, $content, $comments[], $date, $author, $fullname, $tag) = explode("!mpc#!", $content);
                    $n_comments = countComments("pub/gal/", $file_name, $comments);
                }
                $date = substractDate($date, 0);

                if (isset($link) && (strlen($link) >= 8)) {
                    $link = $link;
                } else {
                    if (isset($_GET['a'])) {
                        $link = "?a=" . substr($file_name,0,-4).".html";
                    } elseif (isset($_GET['p'])) {
                        $link = "?p=" . substr($file_name, 2,-4).".html";
                    } else {
                        $link = "?g=" . substr($file_name,0,-4).".html";
                    }
                }

                /**
                 * Vzhled obsahu
                 */
                if ($web['author'] == "fullname") {
                    $author = $fullname;
                }
                if (!isset($_GET['g'])) {
                    $comments_esc = escalation($n_comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                    templatePerexContent($name, $date, $author, $rubric, $perex, $content, $link, $address, $n_comments, $_GET, $comments_esc, $tag, $comments['0'], $lang);
                } else {
                    $comments_esc = escalation($n_comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                    templateGallery($name, $content, $comments, $date, $author, $fullname, $tag, $link, $n_comments, $comments_esc, $lang);
                }
                if ($comments['show'] == "registered" && isset($_SESSION['name'])) {

                    /**
                     * Vzhled formuláŕe pro komentáře
                     */
                    if ($comments['comments'] == "allow" && $comments['0'] == "allow") {
                        templateCommentsForm($comments, $lang);
                    }
                    /**
                     * Skript pro vytvoření komentáře
                     */
                    commentMake($_POST, $_GET, ".txt", "w", $address, $comments);

                    /**
                     * Zobrazení komentářů
                     */
                    comentsShow($address, $file_name, $comments, $lang);
                } elseif ($comments['show'] == "all") {
                    if ($comments['warranty'] == "registered" && isset($_SESSION['name'])) {
                        /**
                         * Vzhled formuláŕe pro komentáře
                         */
                        if ($comments['comments'] == "allow" && $comments['0'] == "allow") {
                            templateCommentsForm($comments, $lang);
                        }
                        //templateCommentsForm($comments, $lang);

                        /**
                         * Skript pro vytvoření komentáře
                         */
                        commentMake($_POST, $_GET, ".txt", "w", $address, $comments);
                    } elseif ($comments['warranty'] == "all") {
                        /**
                         * Vzhled formuláŕe pro komentáře
                         */
                        if ($comments['comments'] == "allow" && $comments['0'] == "allow") {
                            templateCommentsForm($comments, $lang);
                        }
                        //templateCommentsForm($comments, $lang);

                        /**
                         * Skript pro vytvoření komentáře
                         */
                        commentMake($_POST, $_GET, ".txt", "w", $address, $comments);
                    }
                    /**
                     * Zobrazení komentářů
                     */
                    comentsShow($address, $file_name, $comments, $lang);
                }
            } else {
                echo $lang['search_page_was_not_found'];
            }
        } else {
            echo $lang['nothing_was_entered'];
        }
    }

    /**
     * hledání - existence požadavku pro hledání
     */ elseif (isset($_GET['s']) && $_GET['s'] != "") {

        /**
         * Page
         */
        $document = scandir("pub/pag");
        $count = count(scandir("pub/pag")) - 1;
        $found = null;
        for ($a = $count; $a >= 0; $a--) {
            if (!is_dir("pub/pag/" . $document[$a])) {
                $file = fopen("pub/pag/" . $document[$a], "r");
                $content = fread($file, filesize("pub/pag/" . $document[$a]));
                fclose($file);

                list($name, $perex, $content, $rubrics, $comments, $keywords, $description, $link, $stat, $author, $date, $later_date, $link_type, $link_rel, $fullname, $tag) = explode("!mpc#!", $content);
                $date = substractDate($date, 0);
                if (preg_match("~$_GET[s]~i", $name) || preg_match("~$_GET[s]~i", $perex) || preg_match("~$_GET[s]~i", $content) || preg_match("~$_GET[s]~i", $tag)) {
                    if (strlen($link) >= 8) {
                        $link = $link;
                    } else {
                        $link = "?p=" . substr($document[$a], 2,-4).".html";
                    }
                    $doc = substr($document[$a], 2, 19);
                    $n_comments = countComments("pub/pag/", $doc, $comments);
                    $comments_esc = escalation($n_comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                    templatePerexContent($name, $date, $author, $rubrics, $perex, /* $content */ FALSE, $link, FALSE, $n_comments, $_GET, $comments_esc, $tag, $comments, $lang);
                    $found++;
                }
            }
        }
        /**
         * Article
         */
        $document = scandir("pub/art");
        $count = count(scandir("pub/art")) - 1;
        for ($a = $count; $a >= 0; $a--) {
            if (!is_dir("pub/art/" . $document[$a])) {
                $file = fopen("pub/art/" . $document[$a], "r");
                $content = fread($file, filesize("pub/art/" . $document[$a]));
                fclose($file);

                list($name, $perex, $content, $rubrics, $comments_set, $content_type, $link_type, $link_rel, $link, $status, $date, $author, $date_2, $fullname, $tag) = explode("!mpc#!", $content);
                $date = substractDate($date, 0);
                if (preg_match("~$_GET[s]~i", $name) || preg_match("~$_GET[s]~i", $perex) || preg_match("~$_GET[s]~i", $content) || preg_match("~$_GET[s]~i", $tag)) {
                    if (strlen($link) >= 8) {
                        $link = $link;
                    } else {
                        $link = "?a=" . substr($document[$a],0,-4).".html";
                    }
                    $n_comments = countComments("pub/art/", $document[$a], $comments);
                    $comments_esc = escalation($comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                    templatePerex($name, $date, $author, $rubrics, $perex, $content, $link, FALSE, $n_comments, $comments_esc, $tag, $comments_set, $lang);
                    $found++;
                }
            }
        }
        /**
         * Gallerie
         */
        $document = scandir("pub/gal");
        $count = count(scandir("pub/gal")) - 1;
        for ($a = $count; $a >= 0; $a--) {
            if (!is_dir("pub/gal/" . $document[$a])) {
                $file = fopen("pub/gal/" . $document[$a], "r");
                $content = fread($file, filesize("pub/gal/" . $document[$a]));
                fclose($file);

                list($name, $content, $comments, $date, $author, $fullname, $tag) = explode("!mpc#!", $content);
                $date = substractDate($date, 0);
                if (preg_match("~$_GET[s]~i", $name) || preg_match("~$_GET[s]~i", $content) || preg_match("~$_GET[s]~i", $tag)) {
                    $link = FALSE;
                    if (strlen($link) >= 8) {
                        $link = $link;
                    } else {
                        $link = "?g=" . substr($document[$a],0,-4).".html";
                    }                    
                            $n_comments = countComments("pub/gal/", $document[$a], $comments);
                            $comments_esc = escalation($comments, $lang['comments_cz'], $lang['comment'], $lang['comments']);
                            templatePerexContent($name, $date, $author, FALSE, FALSE, FALSE, $link, FALSE, $n_comments, $_GET, $comments_esc, $tag, $comments, $lang);                    
                                                     
                    $found++;
                }
            }
        }        
        if (isset($found) == FALSE) {
            echo $lang['nothing_was_found'];
        }
    } elseif(isset($_GET['s']) && $_GET['s'] == "") {
        echo $lang['nothing_was_found'];    
    }
}

/**
 *  Vygenerování textu a odkazu na veřejné stránce - jedná se o zobrazení momentální polohy na webu
 *
 *  @param _GET vstup obsahu adresního řádku pro nastavení funkce a vypsání správného odkazu a textu
 *
 *  @return vrací pole s informací o poloze
 */
function pageLocation($_GET, $lang) {
    if ($_GET == TRUE && !isset($_GET['c'])) {
        if (isset($_GET['a'])) {
            $link = "?a=$_GET[a]";
            $address = "pub/art/";
            $file_name = substr($_GET['a'],0,-5) . ".txt";
            if (file_exists($address . $file_name)) {
                $file = fopen($address . $file_name, "r");
                $content = fread($file, filesize($address . $file_name));
                fclose($file);
                list($name) = explode("!mpc#!", $content);
            }
        }

        if (isset($_GET['p'])) {
            $link = "?p=$_GET[p]";
            $address = "pub/pag/";
            //$file_name = $_GET['p'];
               $scan = scandir("pub/pag/");
                foreach($scan as $value){
                    if($value != "." && $value != ".."  && preg_match("/".substr($_GET['p'],0,-5) . ".txt"."/", $value)){
                        $file_name = $value;
                    }    
                }
            if (isset($file_name) && file_exists($address . $file_name)) {
                $file = fopen($address . $file_name, "r");
                $content = fread($file, filesize($address . $file_name));
                fclose($file);
                list($name) = explode("!mpc#!", $content);
            } else {
                $name = $lang['search_page_was_not_found'];                
            }
        }

        if (isset($_GET['g'])) {
            $link = "?g=$_GET[g]";
            $address = "pub/gal/";
            $file_name = substr($_GET['g'],0,-5) . ".txt";
            if (file_exists($address . $file_name)) {
                $file = fopen($address . $file_name, "r");
                $content = fread($file, filesize($address . $file_name));
                fclose($file);
                list($name) = explode("!mpc#!", $content);
            }
        }

        if (isset($_GET['r'])) {
            $link = "?r=$_GET[r]";
            $address = "pub/rub/";
            $name = $_GET['r']; //name předává jméno rubruriby přímo na page_info
            $file_name = FALSE;
        }

        if (isset($_GET['s'])) {
            $link = "?s=$_GET[s]";
            $name = $lang['looking_for'] . $_GET['s'];
        }

        if (isset($_GET['t'])) {
            $link = "?t=$_GET[t]";
            $name = $lang['looking_for'] . $_GET['t'];
        }

        return $page_info = array("&#8250; <a href=\"$link\">$name</a>", " - " . $name);
    }
}

/**
 * Funkce pro vytvoření komentáře
 *
 * @param _POST
 * @param _GET
 * @param type typ/koncovka souboru
 * @param mod mod zapisování souboru
 * @param address adresa složky se soubory komentářů
 * @param comments nastavení komentářů, povolení k provedení
 */
function commentMake($_POST, $_GET, $type, $mod, $address, $comments) {

    /**
     * Pokud je povoleno zobrazit komentáře, provede se
     */
    if ($comments['comments'] == "allow" && $comments['0'] == "allow") {

        /**
         * Pokud se formulář opravdu odeslal, provede se
         */
        if (isset($_POST['send'])) {
            if (isset($_GET['a']) == TRUE) {
                $name = substr($_GET['a'], 0, 19);
            } elseif (isset($_GET['g']) == TRUE) {
                $name = substr($_GET['g'], 0, 19);
            } else {
                $name = substr($_GET['p'], 0,19);
            }

            $content = $_POST['author'] . "!mpc#!" . ACTUAL_DATE . "!mpc#!" . $_POST['email'] . "!mpc#!" . $_POST['url'] . "!mpc#!" . $_POST['comment'];
            $file = fopen($address . "comments/" . $name . "/" . $name . "@" . ACTUAL_DATE . $type, $mod);
            fwrite($file, $content);
            fclose($file);
        }
    }
}

/**
 * Zobrazení komentářů
 *
 * @param address adresa ke složce se soubory komentářů
 * @param document jméno dokumentu
 * @param comments pole s nastavením komentář, podle toho se povoleno, nebo zakázáno zobrazování komentářů
 *
 */
function comentsShow($address, $document, $comments, $lang) {

    /**
     * Pokud je povoleno zobrazit komentáře, provede se
     */
    if ($comments['comments'] == "allow" && $comments['0'] == "allow") {

        /**
         * Přeložení URL do formátu složky
         */
        if(isset($_GET['p']) == TRUE){
            $document = substr($_GET['p'], 0,19);
        } else {
            $document = substr($document, 0, 19);    
        }
        

        /**
         * Ověření zda složka existuje, v případě neexistence se vytvoří
         */
        if (is_dir($address . "comments/" . $document) || mkdir($address . "comments/" . $document)) {

            /**
             * Vytvoření pole s dokumenty a spočitaní
             */
            $doc_array = scandir($address . "comments/" . $document);
            $count = count(scandir($address . "comments/" . $document)) - 1;

            /**
             * Ověření existence komentářů
             */
            if ($count >= 2) {

                /**
                 * Vygenerování komentářů
                 */
                if ($comments['sort'] == "first_to_last") {
                    echo "<ul id=\"commentlist\">";
                    for ($a = 2; $a <= $count; $a++) {
                        $file = fopen($address . "comments/" . $document . "/" . $doc_array[$a], "r");
                        $coment_content = fread($file, filesize($address . "comments/" . $document . "/" . $doc_array[$a]));
                        fclose($file);

                        /**
                         * Vygenerování komentáře podle šablony
                         */
                        templateCommentsCase($coment_content, $comments);
                    }
                    echo "</ul>";
                } else {
                    echo "<ul id=\"commentlist\">";
                    for ($a = $count; $a >= 2; $a--) {
                        $file = fopen($address . "comments/" . $document . "/" . $doc_array[$a], "r");
                        $coment_content = fread($file, filesize($address . "comments/" . $document . "/" . $doc_array[$a]));
                        fclose($file);

                        /**
                         * Vygenerování komentáře podle šablony
                         */
                        templateCommentsCase($coment_content, $comments);
                    }
                    echo "</ul>";
                }
            } else {
                /**
                 * Pokud komentáře neexistují, vypíše se
                 */
                echo $lang['there_are_no_comments'];
            }
        }
    }
}

/**
 * Vygenerování počtu komentářů
 *
 * @param address adresa ke složce s uloženými komentáři
 * @param document jméno dokumentu
 * @param comments nezařazeno
 *
 * Pokud jseu komentáře povoleny, provede se
 */
function countComments($address, $document, $comments = FALSE) {

    /**
     * Přelození URL do formátu složky
     */
    if(isset($_GET['p'])){
        $document = substr($document, 2, 19) . "/";    
    } else {
        $document = substr($document, 0, 19) . "/";
    }
    

    /**
     * Ověření zda složka existuje a vypočítá obsah, v opačném případě se vypíše nula
     */
    if (is_dir($address . "comments/" . $document)) {
        
        return count(scandir($address . "comments/" . $document)) - 2;
    } else {
        return "0";
    }
}

/**
 *  Funkce pro stupňování textu
 *
 *  @param number udává počet, pro který se má zobrazit vystupňovaný text
 *  @param text_one Text stupňovaný pro rozsah 0 nebo 5 a více
 *  @param text_two Text stupňovaný pro rozsah 1
 *  @param text_three Text stupňovaný pro rozsah 2 nebo větší a 4 nebo menší
 *
 *  @return Vrací výsledný vystupňovaný text
 *
 */
function escalation($number, $text_one, $text_two, $text_three) {
    if ($number == 0 || $number >= 5) {
        $show = $text_one;
    }
    if ($number == 1) {
        $show = $text_two;
    }
    if ($number >= 2 && $number <= 4) {
        $show = $text_three;
    }

    return $show;
}

/**
 *  Funkce pro provedení přihlášení na veřejné stránce
 *
 *  @param _post pole s daty formuláře o přihlášení
 *  @param lang Nastavení jazyka přihlašovacího formuláře
 *  TODO
 */
function logIn($_POST, $lang) {
    if ($_POST['login-hidden']) {
        if ($_POST['name'] == 0 && $_POST['pass'] == 0) {
            if (file_exists("./usr/" . $_POST['name'] . ".php")) {
                include("./usr/" . $_POST['name'] . ".php");
                if ($account['user_password'] == sha1($_POST['pass'])) {
                    $_SESSION['name'] = $_POST['name'];
                    $_SESSION['password'] = sha1($_POST['pass']);
                }
            }
        }
    } elseif (isset($_SESSION['name'])) {

    } else {
        templateLoginForm($lang);
    }
}

/* funkce určené pro šablony*/
function showTag($tags) {
    $tags = explode(",", $tags);
    $showTag = null;
    foreach ($tags as $value) {
        $showTag .= ' <a href="?t=' . $value . '">' . $value . '</a> ';
    }
    return $showTag;
}

/* Neupravovat */
function showRubric($_GET, $rubrics, $lang) {
    if (!isset($_GET['p']) && !isset($_GET['g'])) {
        echo $lang['rubric'] . " <a href=\"?r=$rubrics\" >$rubrics</a> |";
    }
}

/* neupravovat */
function galleryPrinter() {
    $address = "pub/gal/images/" . substr($_GET['g'], 0, 19);
    if (is_dir($address)) {
        $document = scandir($address);
        $count = count($document);
        if ($count >= 3) {
            foreach ($document as $value) {
                if (is_file($address . "/" . $value)) {
                    //echo "<img src=\"".$address."/".$value."\" width=\"100%\">";
                    echo "<a href=\"" . $address . "/" . $value . "\" rel=\"lightbox\"><img src=\"" . $address . "/" . $value . "\" width=\"10%\"></a>";
                }
            }
        }
    }
}
?>