<?php

/**
 * funkce pro zobrazení celé článku
 */
function templatePerexContent($name, $date, $author, $rubrics, $perex, $content, $link, $address, $comments, $_GET = NULL, $comments_esc, $tags, $comments_set, $lang) {

    /* tělo článku */
    echo "<h1><a href=\"$link\">$name</a></h1>\n"; /* Nadpis článku $name a odkaz na článek $link */
    echo "<div class=\"descr\">$date " . $lang['author'] . " $author</div>\n"; /* Datum vytvoŕení článku $date a jméno autora $author */
    echo $perex . "\n"; /* popis článku $perex */
    echo $content . "\n"; /* obsah článku $content */
    echo "<p class=\"info\">"; /* začátek lišty s dalšími informacemi */
    echo showRubric($_GET, $rubrics, $lang); /* zobrazení rubriky */    
    if($comments_set == "allow"){
        echo " <a href=\"$link#endpage\">$comments $comments_esc &raquo;</a>"; /* Zobrazení počtu komentářů $comments se stupňováním sloma Komentář $commenst_sec a okdazu na konec článku $link */        
    }
    echo " | " . $lang['tags'] . " ";
    echo showTag($tags); /* zobrazení štítků */
    echo "</p>";
}

/**
 * funkce pro zobrazení článku pouze s perexem, používá se v seznamu článků
 */
function templatePerex($name, $date, $author, $rubrics, $perex, $content, $link, $address, $comments, $comments_esc, $tags,  $comments_set, $lang) {

    /* tělo článku */
    echo "<h1><a href=\"$link\">$name</a></h1>\n";
    echo "<div class=\"descr\">$date " . $lang['author'] . " $author</div>\n";
    echo $perex . "\n\n";
    echo "<p class=\"info\">";
    echo showRubric($_GET, $rubrics, $lang); /* zobrazení rubriky */
    if($comments_set == "allow"){
        echo "  <a href=\"$link#endpage\">$comments $comments_esc &raquo;</a>";
    }
    echo " | " . $lang['tags'] . " ";
    echo showTag($tags);
    echo "</p>";
}

/**
 * funkce pro zobrazení galerie
 */
function templateGallery($name, $content, $comments, $date, $author, $fullname, $tag, $link, $n_comments, $comments_esc, $lang) {

    /* tělo galerie */
    echo "<h1><a href=\"$link\">$name</a></h1>\n";
    echo "<div class=\"descr\">$date " . $lang['author'] . " $author</div>\n";
    echo $content . "\n\n";
    galleryPrinter();
    echo "<p class=\"info\">";
    //echo showRubric($_GET, $rubrics); /*zobrazení rubriky*/
    echo "<a href=\"$link#comments\">$n_comments $comments_esc &raquo;</a>";
    echo " | " . $lang['tags'] . " ";
    echo showTag($tag);
    echo "</p>";
}

function templateCommentsForm($comments, $lang) {

    /* tělo formuláře pro komentáře */
    echo '
      <span id="comments"></span>
        <h2 id="respond">'. $lang['comments'] .'</h2>
          <form action="#endpage" method="post" id="commentform">
            <p><input type="text" name="author" id="author" value="" size="22" tabindex="1" class="styled" />            
            <label for="author">'. $lang['label_name'] .'</label></p>
            
            <p><input type="text" name="email" id="email" value="@" size="22" tabindex="2" class="styled" />            
            <label for="email">'. $lang['label_mail'] .'</label></p>
            
            <p><input type="text" name="url" id="url" value="http://" size="22" tabindex="3" class="styled" />            
            <label for="url">'. $lang['label_web'] .'</label></p>
            
            <p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4" class="styled"></textarea></p>
            <input type="hidden" name="send" value="true">
            <p><input name="submit" type="submit" id="submit" tabindex="5" value="'. $lang['value_send_comment'] .'" /></p>
          </form>
    ';
}

function templateCommentsCase($comment_content, $comments) {
    list($name, $date, $email, $url, $text) = explode("!mpc#!", $comment_content);
    $date = substractDate($date, 1);

    /* tělo komentáře v HTML */
    echo '<li class="graybox">';
    echo '<strong>' . $name . '</strong> | <a href="' . $url . '" rel="' . $comments['rel'] . '">Link</a>';
    echo '<p class="commentmetadata">' . $date . '</p>';
    echo '<p>' . $text . '</p>';
    echo '</li>';
}

function templateLoginForm($lang) {

    /* tělo pŕihlašovacího formuláře v HTML */
    echo '<h2>' . $lang['login'] . '</h2>
        <ul>
          <li>
            <form method="post" id="search_form">
              <input type="text" name="name" id="text">
              <input type="password" name="pass" id="text">  
              <input type="hidden" name="login-hidden" value="true">
               <input type="submit" value="' . $lang['login_button'] . '" id="button">       
            </form>  
          </li>
          <li>
          '. $lang['register'] .' | '. $lang['forgot_password'] .'
          </li>
       </ul>
      ';
}

function lists($lang, $address, $web, $type){    
    echo "<h2>".$lang."</h2>";
    echo "<ul>";
    li_generator($address, FALSE, $web);
    echo "</ul>";           
}
?>