<?php
session_start();

ini_set("log_errors", "1");
ini_set("error_log", "../var/admin_mpc_errors.log");
//ini_set("display_errors", "Off");
//error_reporting(0);
if (!isset($_SESSION['log_time'])) {
    $_SESSION['log_time'] = date("d.m.Y H:i:s");
}

/**
 * Inkludovaní funkcí systému MyPage
 */
include("lib/functions.php");

/**
 * Deklarování konstanty typu přístupu (admin, moderator)
 */
DEFINE("USER_ACCESS", checkLogin($_SESSION, $_COOKIE));

include("../etc/admin_settings.php");
include("../etc/system_settings.php");
include("../bin/lang/$admin[admin_lang]/$admin[admin_lang]_private.php");

/**
 * Funkce pro odhlášení uživatele pomocí ID
 */
logOut($_GET, "id", $lang);

/**
 * Kontrola neaktivity uživatele, po časovém intervalu nastaveném v administraci se odhlásí
 */
inactiveLogOut($admin['automatic_logout']);

/**
 * Nastavení časové zóny pro PHP 5
 */
date_default_timezone_set($system['time_zone']);

/**
 * Deklarovaní konstanty času pro systémové nástroje
 */
DEFINE("ACTUAL_DATE", date("Y-m-d-H-i-s"));

include("bin/access.php");

accessLog(USER_ACCESS, $_SESSION['name'], $system['accessLog']);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        <?php
        /**
         * Inkud hlavičky s meta tagy a javascripty
         */
        include("bin/head.php");
        ?>               
    </head>
    <body>
        <div id="wrapper">
            <h1><a href="./"><span><?php echo $lang['header'] ?></span></a></h1>
            <ul id="mainNav">
                <?php
                /**
                 * Vložení neměnného menu do horní lišty administrace systému
                 */
                include("bin/menu.php");
                ?>
            </ul>
            <div id="containerHolder">
                <div id="container">
                    <div id="sidebar">
                        <ul class="sideNav">
                            <?php
                            /**
                             * Boční nabigační lišta s odkazy a informátory
                             */
                            include("bin/sidenav.php");
                            ?>
                        </ul>
                    </div>
                    <?php
                    /**
                     * Informační blok o aktuální poloze v administraci systému
                     */
                    include("bin/position.php");
                    ?>
                    <div id="main">
                        <?php
                        /**
                         * Kód pro zobrazovaní požadovaných stránek
                         */
                        if (isset($_GET['id'])) {
                            include("bin/" . $_GET['id'] . "/" . $_GET['id'] . ".php");
                        } else {
                            /**
                             * Zobrazení hlavní stránky s přehledem stavu publikací
                             */
                            include("bin/main.php");
                        }
                        ?>
                    </div>
                    <div class="clear"></div>
                </div>
            </div>
            <?php
            /**
             * Vložení patičky administrace systému
             * UPOZORNĚNÍ: Informace v zápatí lze upravovat za podmínek ponechání odkazu na oficiální stránku systému, jméno autora a odkazu na stránku designu administrace!
             */
            include("bin/footer.php");
            ?>
        </div>
    </body>
</html>