<?php

/**
 * Funkce pro logování pohybu uživatele v administraci
 *
 * @param user_access - práva uživatele
 * @param user_name - uživatelské jméno
 * @param accessLog stav proměnné závisí na nastavení systému v administraci
 *
 */
function accessLog($user_access, $user_name, $accessLog) {
    if ($accessLog == "yes") {
        $log = $user_name . ">" . $user_access . ">" . date("Y-m-d-H-i-s") . ":" . $_SERVER['REQUEST_URI'] . "\n";
        $file = fopen("../var/access_log.log", "a+");
        fwrite($file, $log);
        fclose($file);
    }
}

/**
 * Funkce pro smazání uživatele
 *
 * @param address $address = umístění složky s účty
 * @param name $name = jméno účetu ke smazání
 * @param _get $_GET = hodnoty v adresním řádku pro využití v přesmérování v odpovědi NE
 */
function accountDelete($address, $name, $GET, $lang) {
    $what = $_GET['what'];
    $check = (isset($_GET['check'])) ? $_GET['check'] : FALSE;
    $id_ref = $_GET['id'];
    $action = $_GET['action'];
    $who = $_GET['who'];

    /**
     * Pokud je v adrese identifikátor "what" rovnající se "del" provede se
     */
    if ($what == "del") {
        if (file_exists($address . "/" . $name . ".php") && $_SESSION['name'] != $name) {
            /**
             * Pokud bylo provedeno ověření požadavku ke smazání, provede se
             */
            if ($check == TRUE) {
                if (unlink($address . "/" . $name . ".php")) {
                    showInfoText($lang['account_was_deleted'], FALSE, "table", "system&action=manage_accounts");
                } else {
                    showInfoText($lang['account_deleting_failed'], FALSE, "table", "system&action=manage_accounts");
                }
            } else {
                /**
                 * Prvotní vypsání hlášky s dotazem ke smazání, pokdu ANO tak se hodnota $check rovná TRUE a provede se if, v opačném pěípade se přesměru zpět na seznam uživatelů
                 */
                showInfoText($lang['account_delete_question'], "<a href=\"?id=$id_ref&action=$action&what=$what&who=$who&check=TRUE\" class=\"yes\">$lang[yes]</a>/<a href=\"?id=$id_ref&action=$action\" class=\"no\">$lang[no]</a>", "table", FALSE);
            }
        } elseif (!file_exists($address . "/" . $name . ".php")) {
            /**
             * Pokud neexistuje účet, který se chystáte smazat, vypíše se
             */
            showInfoText($lang['account_not_exists'], FALSE, "table", "system&action=manage_accounts");
        } else {
            /**
             * Pokud jste přihláśen pod úćtem, který chcete smazat, vypíše se varovná hláśka a smazání se neprovede
             */
            showInfoText($lang['your_account_cannot_be_deleted_now'], FALSE, "table", "system&action=manage_accounts");
        }
    } else {
        showInfoText($lang['delete_requierement_not_exist'], FALSE, "table", "system&action=manage_accounts");
    }
}

/**
 * Výpis seznamu uživatelů
 *
 * @param address $address = adresa do složky s účty
 */
function accountsStats($address, $lang) {
    $document = scandir($address);
    $count = count($document) - 1;

    if ($count == 1) {
        showInfoText($lang['there_is_no_account'], FALSE, "row", $id_ref);
    } elseif ($count >= 2) {
        for ($a = $count; $a >= 2; $a--) {
            if (!is_dir($address . $document[$a])) {
                include($address . $document[$a]);
                showInfoText($account['user_nick'], "<img src=\"bin/styles/transdmin/img/user.png\" alt=\"Author\" title=\"Author\">$account[user_access] <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Date\">" . substractDate($account['user_reg']) . "<br><span class=\"action\"><span class=\"view\"><a href=\"?id=system&action=manage_accounts&what=show&who=$account[user_nick]\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=system&action=manage_accounts&what=edit&who=$account[user_nick]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=system&action=manage_accounts&what=del&who=$account[user_nick]\">$lang[delete]</a></span></span>", "row", FALSE);
            }
        }
    }
}

/**
 * Funkce určená k zobrazení aktivního odkazu
 *
 * @param link $link = adresa žádaného odkazu
 * @param url $url = aktuální poloha systému dle adresového ŕádku
 * @param status $status = text, který se má vypsat
 *
 */
function activeLink($link, $url, $status) {
    if ($link == $url) {
        echo $status;
    }
}

/**
 * Funkce vyčištění názvu souboru pro uložení
 *
 * @param toClean $toClean = text k vyčištění
 * @param section $section = sekce kde se funkce aplikuje
 *
 * Zdroj php.net
 */
function cleanForURL($toClean, $section = FALSE) {
    /**
     * Převod znaků a písmen s diakritikou do anglické abecedy
     */
    $transalte = array("Á" => "a", "á" => "a", "Č" => "c", "č" => "c", "Ď" => "d", "ď" => "d", "É" => "e", "Ě" => "e", "é" => "e", "ě" => "e",
        "Í" => "i", "í" => "i", "Ň" => "n", "ň" => "n", "Ó" => "o", "ó" => "o", "Q" => "q", "Ř" => "r", "ř" => "r", "Š" => "s",
        "š" => "s", "Ť" => "t", "ť" => "t", "Ú" => "u", "ú" => "u", "Ů" => "u", "ů" => "u", "Ý" => "y", "ý" => "y", "Z" => "z",
        "Ž" => "z", "ž" => "z");

    //return StrTr($toClean, "AÁáBCČčDĎěEÉéĚěFGHÍíJKLMNŇňOÓóPQRŘřSŠšTŤťUÚúŮůVWXYÝýZŽž", "aaabcccddeeeeeefghiijklmnnnooopqrrrssstttuuuuuvwxyyyzzz");
    //Vyčištění textu od nežádoucích znaků
    $toClean = StrTr($toClean, $transalte);
    $toClean = str_replace('&', '-and-', $toClean);

    //Neaplikuje se na názvy souborů
    if ($section != "file") {
        $toClean = trim(preg_replace('/[^\w\d_ -]/si', '', $toClean));
    } //remove all illegal chars
    $toClean = str_replace(' ', '-', $toClean);
    $toClean = str_replace('--', '-', $toClean);

    return strtolower($toClean);
}

/**
 * Kontrola atribut systémových složek a souborů
 */
function checkAtributes($_GET, $lang) {
    /**
     * Pole obsahující adresy složek a souborů do kterých se zapisuje a jsou přiŕazeny ke kontrole
     */
    $list_files = array("../etc/admin_settings.php",
        "../etc/comments_settings.php",
        "../etc/system_settings.php",
        "../etc/web_settings.php",
        "../pub/main_text.php");
    
    $document = scandir("../usr/"); 
    foreach ($document as $value) {
        if($value != "." && $value != ".."){
            $list_files[] = "../usr/".$value;
        }           
    }    
    
    
    $list_folders = array("../pub/art",
        "../pub/art/comments",
        "../pub/fil",
        "../pub/gal",
        "../pub/gal/comments",
        "../pub/gal/images",
        "../pub/lin",
        "../pub/pag",
        "../pub/pag/comments",
        "../pub/rub",     
        "../usr/",
        "../var/");

    /**
     * Spočítá obsah adres pro generování statusu
     */
    $list_files_count = count($list_files) - 1;
    $list_folders_count = count($list_folders) - 1;

    /**
     * Vygenerování stavu souborů a složek
     */
    for ($a = 0; $a <= $list_files_count; $a++) {
        $list_files_check[$list_files[$a]] = substr(sprintf('%o', fileperms($list_files[$a])), -3);
    }
    for ($a = 0; $a <= $list_folders_count; $a++) {
        $list_folders_check[$list_folders[$a]] = substr(sprintf('%o', fileperms($list_folders[$a])), -3);
    }
    if ($_GET['action'] == "system_error") {
        foreach ($list_files_check as $key => $value) {
            if ($value != 666) {
                showInfoText($key, $value . " -> 666", "row", FALSE);
                $error = TRUE;
            }
        }
        foreach ($list_folders_check as $key => $value) {
            if ($value != 777) {
                showInfoText($key, $value . " -> 777", "row", FALSE);
                $error = TRUE;
            }
        }
        if ($error == TRUE) {
            //showInfoText("<span style=\"color: red\"><b><a href=\"?id=system&action=system_error\" style=\"color: red\">Vyskytl se problém v nastavení atribut</a></b></span>", FALSE, "row", FALSE);
        } else {
            showInfoText("<span style=\"color: green\">" . $lang['files_and_folders_are_good'] . "</span>", FALSE, "row", FALSE);
        }
    } else {
        //showInfoText("Pokusit se nastavit atibuty automaticky", "<a href=\"?id=system&action=system_error&set_chmod=true\">Nastavit!</a>", "row", FALSE);
        if (isset($_GET['set_chmod']) == TRUE) {
            foreach ($list_files_check as $key => $value) {
                if ($value != 666) {
                    chmod($key, "0666");
                    $error = TRUE;
                }
            }
        }
        foreach ($list_files_check as $key => $value) {
            if ($value != 666) {
                //showInfoText($key, $value." nastavit 666", "row", FALSE);
                $error = TRUE;
            }
        }
        foreach ($list_folders_check as $key => $value) {
            if ($value != 777) {
                //showInfoText($key, $value." nastavit 777", "row", FALSE);
                $error = TRUE;
            }
        }
        if (isset($error) != TRUE) {
            showInfoText("<span style=\"color: green\">" . $lang['files_and_folders_are_good'] . "</span>", FALSE, "none", FALSE);
        } else {
            showInfoText("<span style=\"color: red\"><a href=\"?id=system&action=system_error\" style=\"color: red\">" . $lang['attribute_fail_need_repair'] . "</a></span>", FALSE, "none", FALSE);
        }
    }
}

/**
 * Funkce pro ověření přihlášení
 *
 * @param _SESSION $_SESSION = přihlašovací údaje uložené v SESSION
 *
 */
function checkLogin($_SESSION, $_COOKIE) {
    if (isset($_SESSION['name'])) {
        $user = $_SESSION['name'];
        $pass = $_SESSION['password'];
    } elseif (isset($_COOKIE['permanent_access'])) {
        $user = $_COOKIE['permanent_access'];
        $pass = $_COOKIE['permanent_access_pass'];
        $_SESSION['name'] = $_COOKIE['permanent_access'];
        $_SESSION['password'] = $_COOKIE['permanent_access_pass'];
    }

    if (file_exists("../usr/$user.php")) {
        include("../usr/$user.php");
        if ($user == $account['user_nick'] && $pass == $account['user_password']) {
            return $account['user_access'];
        } else {
            //echo "<script type='text/javascript'>setTimeout(\"location.href='./home/';\", 0);</script> ";
            header("location: ../login.php");
        }
    } else {
        header("location: ../login.php");
    }
}

/**
 * Zobrazení komentářů
 *
 * @param address $address = složka s komentáři k prohledání
 *
 */
function commentStat($address, $stat, $set_count, $admin, $lang) {
    if (is_dir($address)) {       
        $document = scandir($address);
        $count = count(scandir($address));
        $target = 0;
        if ($count > 2) {
            for ($a = $count; $a >= $target; $a--) {
                if (!is_dir($address . @$document[$a])) {
                    $file = fopen($address . $document[$a], "r");
                    $content = fread($file, filesize($address . $document[$a]));
                    fclose($file);
                    list($author, $date, $email, $web, $content) = explode("!mpc#!", $content);
                    $lenght = $admin['text_lenght'];
                    $content = textShorter($content, $lenght);
                    echo "<tr><td>$content</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Author\">$author <img src=\"bin/styles/transdmin/img/world.png\" alt=\"Rubric\">$web <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"D\" title=\"Date\">" . substractDate($date) . " <br><span class=\"action\"><!--<span class=\"view\">$lang[show]</span> | --><span class=\"delete\"><a href=\"?id=$_GET[id]&action=del-com&number=$address$document[$a]\">$lang[delete]</a></span></td></tr>\n\n";
                }
            }
        } else {
            showInfoText($lang['there_is_no_comment'], FALSE, "row", FALSE);
        }
    } else {
        showInfoText($lang['there_is_no_comment'], FALSE, "row", FALSE);
    }
}

function contentLoaderforForm($address, $_GET) {
    if (isset($_GET['number'])) {
        $file = fopen("../pub/art/" . $_GET['number'], "r");
        $content = fread($file, filesize("../pub/art/" . $_GET['number']));
        fclose($file);
        list($name, $perex, $content, $rubrics, $comments_set, $content_type, $link_type, $link_rel, $link, $status, $date, $author, $date_2, $fullname, $tag) = explode("!mpc#!", $content);

        //list($name, $perex, $content, $rubric, $comments, $keywords, $description, $link, $stat, $author, $date, $later_date, $perex_only) = explode("!mpc#!",$content);
        $getnumber = substr($_GET['number'], 0, 19);
        $number = "&number=$getnumber";
        $date_make = "&date_make=$date";
        $getname = substr($_GET['number'], 20, -4);
        $name_true = "&name=$getname";
    }
}

/**
 * Generování seznamu obsahu
 */
function contentStat($address, $stat, $set_count, $lang, $admin) {

    /**
     * Upravení odčítání poćtu souborů pro články a stránky, obsahuje totiž slo%zku navíc
     */
    if ($address == "../pub/art/" || $address == "../pub/pag/") {
        $dec = 3;
    } elseif ($address == "../pub/gal/") {
        if(isset($_GET['c']) && $_GET['id'] = "photogalleries"){
            $dec = 3;
        } else {
            $dec = 4;    
        }       
        
    } else {
        $dec = 2;
    }

    $document = scandir($address);
    $count = count(scandir($address)) - $dec;
    
    if ($count == 0) {
        showInfoText($lang['there_is_no_content'], FALSE, "row", FALSE);
    }

    if ($count >= 1) {
        $count++;
        $target = 2;

        if ($count >= $set_count) {
            $target = count(scandir($address)) - $set_count;

            if (isset($_GET['c'])) {
                $c = $_GET['c'];
                if ($c != "1") {
                    $c--;
                    $set_count = $set_count * $c;
                    $count = $count - $set_count;
                    $target = $target - $set_count;
                }
            }
        }

        $target--;
        for ($a = $count; $a >= $target; $a--) {            
            if (!is_dir($address . @$document[$a])) {
                if ($address != "../pub/fil/") {
                    $file = fopen($address . $document[$a], "r");
                    $content = fread($file, filesize($address . $document[$a]));
                    fclose($file);
                    $file = false;
                }

                switch ($stat) {
                    //Zobrazení pro úvodní stránku
                    case "main":
                        if (isset($content)) {
                            $content - $content;
                        } else {
                            $content = FALSE;
                        }

                        list($name) = explode("!mpc#!", $content);
                        switch ($address) {
                            case "../pub/art/":
                                $id = "../?a=" . substr($document[$a], 0,-4).".html";
                                break;
                            case "../pub/pag/":
                                $id = "../?p=" . substr($document[$a], 2,-4).".html";
                                break;
                            case "../pub/lin/":
                                $file = fopen("../pub/lin/".$document[$a], "r");
                                $content = fread($file, filesize("../pub/lin/".$document[$a]));
                                fclose($file);
                                list($name, $content, $link_rype, $link_rel, $author, $date) = explode("!mpc#!", $content);
                                $id = $content;
                                break;
                            case "../pub/rub/":
                                $file = fopen("../pub/rub/".$document[$a], "r");
                                $content = fread($file, filesize("../pub/rub/".$document[$a]));
                                fclose($file);
                                list($name, $date, $author) = explode("!mpc#!", $content);                                
                                $id = "../?r=$name";
                                break;
                            case "../pub/gal/":
                                $id = "../?g=" . substr($document[$a], 0,-4).".html";
                                break;
                        }
                        /**
                         * Zobrazení pro články, stránky, ... 
                         */
                        if ($name == TRUE) {                            
                            showInfoText($name, "<span class=\"action-main\"><span class=\"view\"><a href=\"" . $id . "\" target=\"_blank\">$lang[show]</a></span></span>", "row", FALSE);
                        } else {
                            /**
                             * Zobrazení pouze pro soubory                             
                             */
                            showInfoText($document[$a], FALSE, "row", FALSE);
                        }
                        break;

                    //Zobrazení pro sekce
                    case "articles":
                        list($name, $perex, $content, $rubrics, $comments_set, $content_type, $link_type, $link_rel, $link, $status, $date, $author, $date_2, $fullname, $tag) = explode("!mpc#!", $content);

                        //list($name, $perex, $content, $rubrics, $comments, $keywords, $description, $link, $status, $author, $date) = explode("!mpc#!",$content);
                        $lenght = $admin['text_lenght'];
                        $name = textShorter($name, $lenght);
                        echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\"> $author <img src=\"bin/styles/transdmin/img/box.png\"  alt=\"Rubrika\" title=\"Rubrika\"> $rubrics <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\"> " . substractDate($date) . "<!-- <img src=\"bin/styles/transdmin/img/time_go.png\" alt=\"Datum\" title=\"Datum\"> $status<br> --><span class=\"action\"><span class=\"view\"><a href=\"../?a=".substr($document[$a], 0, -4).".html"."\" target=\"_blank\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=articles&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=articles&action=del&number=$document[$a]\">$lang[delete]</a></span> | <span class=\"comments\"><a href=\"?id=articles&action=comments&number=$date\">$lang[comments]</a></span></span></td></tr>\n\n";
                        break;

                    case "rubrics":
                        list($name, $date, $author) = explode("!mpc#!", $content);
                        $lenght = $admin['text_lenght'];
                        $name = textShorter($name, $lenght);

                        echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <br><span class=\"action\"><span class=\"view\"><a href=\"../?r=$name\"  target=\"_blank\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=rubrics&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=rubrics&action=del&number=$document[$a]\">$lang[delete]</a></span></span></td></tr>\n\n";
                        break;
                    case "links":
                        list($name, $content, $link_type, $link_rel, $author, $date) = explode("!mpc#!", $content);
                        $lenght = $admin['text_lenght'];
                        $name = textShorter($name, $lenght);
                        echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <br><span class=\"action\"><span class=\"view\"><a href=\"$content\"  target=\"_blank\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=links&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=links&action=del&number=$document[$a]\">$lang[delete]</a></span></span></td></tr>\n\n";
                        break;
                    case "pages":
                        list($name, $perex, $content, $rubrics, $comments, $keywords, $description, $link, $status, $author, $date) = explode("!mpc#!", $content);
                        $lenght = $admin['text_lenght'];
                        $name = textShorter($name, $lenght);
                        echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <!-- <img src=\"bin/styles/transdmin/img/time_go.png\" alt=\"Datum\" title=\"Datum\">$status --><br><span class=\"action\"><span class=\"view\"><a href=\"../?p=".substr($document[$a], 2, -4).".html"."\" target=\"_blank\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=pages&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=pages&action=del&number=$document[$a]\">$lang[delete]</a></span> | <span class=\"comments\"><a href=\"?id=pages&action=comments&number=$date\">$lang[comments]</a></span></span></td></tr>\n\n";
                        break;
                    case "polls":
                        list($name, $author, $na, $na, $na, $na, $stat, $changed_date, $fullname, $date) = explode("!mpc#!", $content);
                        $lenght = $admin['text_lenght'];
                        $name = textShorter($name, $lenght);
                        echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author  <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <br><span class=\"action\"><span class=\"view\">$lang[show]</span> | <span class=\"edit\"><a href=\"?id=polls&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=polls&action=del&number=$document[$a]\">$lang[delete]</a></span> | <span class=\"comments\">$lang[comments]</span></span></td></tr>\n\n";
                        break;
                    case "files":
                        //list($name, $author, $type, $perex, $content, $rubrics, $date, $comments, $extras) = explode("!mpc#!",$content);
                        echo "<tr><td>";
                        $doc_img = substr("../pub/fil/$document[$a]", -4);

                        switch ($doc_img) {
                            default :
                                echo "<img src='bin/styles/transdmin/img/page_white.png'  class='miniImageNoFormat'>";
                                break;                            
                            case (preg_match("~pdf~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/page_white_acrobat.png'  class='miniImageNoFormat'>";
                                break;
                            case (preg_match("~jpg~i", $document[$a]) == TRUE):
                            case (preg_match("~png~i", $document[$a]) == TRUE):
                            case (preg_match("~bmp~i", $document[$a]) == TRUE):
                            case (preg_match("~gif~i", $document[$a]) == TRUE):
                            case (preg_match("~jpeg~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/image.png'  class='miniImageNoFormat'>";                                
                                //echo "<img src='../pub/fil/$document[$a]'  class='miniImage'>";
                                break;
                            case (preg_match("~doc~i", $document[$a]) == TRUE):
                            case (preg_match("~txt~i", $document[$a]) == TRUE):
                            case (preg_match("~odt~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/page_white_text.png'  class='miniImageNoFormat'>";
                                break;
                            case (preg_match("~xml~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/page_white_code.png'  class='miniImageNoFormat'>";
                                break;
                            case (preg_match("~htm~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/html.png'  class='miniImageNoFormat'>";
                                break;
                            case (preg_match("~css~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/css.png'  class='miniImageNoFormat'>";
                                break; 
                            case (preg_match("~mp3~i", $document[$a]) == TRUE):
                            case (preg_match("~wma~i", $document[$a]) == TRUE):        
                            case (preg_match("~flac~i", $document[$a]) == TRUE):                                
                                echo "<img src='bin/styles/transdmin/img/music.png'  class='miniImageNoFormat'>";
                                break;                             
                            case (preg_match("~csv~i", $document[$a]) == TRUE):
                            case (preg_match("~sql~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/database.png'  class='miniImageNoFormat'>";
                                break; 
                            case (preg_match("~avi~i", $document[$a]) == TRUE):
                            case (preg_match("~mpg~i", $document[$a]) == TRUE):
                            case (preg_match("~mp4~i", $document[$a]) == TRUE):
                            case (preg_match("~mkv~i", $document[$a]) == TRUE): 
                            case (preg_match("~flv~i", $document[$a]) == TRUE): 
                                echo "<img src='bin/styles/transdmin/img/fiml.png'  class='miniImageNoFormat'>";
                                break;                             
                            case (preg_match("~zip~i", $document[$a]) == TRUE):
                            case (preg_match("~rar~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/package.png'  class='miniImageNoFormat'>";
                                break;                            
                        }

                        $lenght = $admin['text_lenght'];
                        $name = textShorter($document[$a], $lenght);
                        $url = "http://" . $_SERVER['SERVER_NAME'] . substr($_SERVER['SCRIPT_NAME'], 0, -14) . "pub/fil/" . $document[$a];
                        echo "$name</td><td class=\"info\">URL: <em style='font-size: 8px;'>" . $url . "</em><br><span class=\"action\"><span class=\"view\"><a href=\"../pub/fil/$document[$a]\" target='_blank'>$lang[show]</a></span> | <span class=\"delete\"><a href=\"?id=files&action=del&number=$document[$a]\">$lang[delete]</a></span></span></td></tr>\n\n";
                        break;
                    case "galleryFiles":
                        $addr = "http://" . $_SERVER['SERVER_NAME'] . substr($_SERVER['SCRIPT_NAME'], 0, -14) . substr($address, 2);
                        list($name, $author, $type, $perex, $content, $rubrics, $date, $comments, $extras) = explode("!mpc#!", $content);
                        echo "<tr><td>";

                        $doc_img = substr("$addr$document[$a]", -4);

                        switch ($doc_img) {
                            case (preg_match("~pdf~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/page_white_acrobat.png'  class='miniImageNoFormat'>";
                                break;
                            case (preg_match("~jpg~i", $document[$a]) == TRUE):
                            case (preg_match("~png~i", $document[$a]) == TRUE):
                            case (preg_match("~bmp~i", $document[$a]) == TRUE):
                            case (preg_match("~gif~i", $document[$a]) == TRUE):
                            case (preg_match("~jpeg~i", $document[$a]) == TRUE):
                                echo "<img src='$addr$document[$a]'  class='miniImage'>";
                                break;
                            case (preg_match("~doc~i", $document[$a]) == TRUE):
                            case (preg_match("~txt~i", $document[$a]) == TRUE):
                            case (preg_match("~odt~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/page_white_text.png'  class='miniImageNoFormat'>";
                                break;
                            case (preg_match("~xml~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/page_white_code.png'  class='miniImageNoFormat'>";
                                break;
                            case (preg_match("~htm~i", $document[$a]) == TRUE):
                                echo "<img src='bin/styles/transdmin/img/html.png'  class='miniImageNoFormat'>";
                                break;
                        }

                        $lenght = $admin['text_lenght'];
                        $name = textShorter($document[$a], $lenght);
                        $url = $addr . $document[$a];
                        echo "$name</td><td class=\"info\">URL: <em>" . $url . "</em><br><span class=\"action\"><span class=\"view\"><a href=\"$addr$document[$a]\" target='_blank'>$lang[show]</a></span> | <span class=\"delete\"><a href=\"?id=photogalleries&action=del-file&number=$address$document[$a]\" target=\"_blank\">$lang[delete]</a></span></span></td></tr>\n\n";
                        break;

                    case "photogalleries":
                        list($name, $content, $comments, $date, $author, $fullname, $tag) = explode("!mpc#!", $content);
                        $lenght = $admin['text_lenght'];
                        $name = textShorter($name, $lenght);
                        echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <br><span class=\"action\"><span class=\"view\"><a href=\"../?g=".substr($document[$a], 0, -4).".html"."\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=photogalleries&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=photogalleries&action=del&number=$document[$a]\">$lang[delete]</a></span> | <span class=\"comments\"><a href=\"?id=photogalleries&action=comments&number=$date\">$lang[comments]</a></span></span></td></tr>\n\n";
                        break;

                    case "comments":
                        list($author, $date, $email, $web, $content) = explode("!mpc#!", $content);
                        $lenght = $admin['text_lenght'];
                        $name = textShorter($name, $lenght);
                        echo "<tr><td>$content</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author  <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <br><span class=\"action\"><span class=\"view\">$lang[show]</span> | <span class=\"edit\"><a href=\"#\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"#\">$lang[delete]</a></span></td></tr>\n\n";
                        break;
                }
            }
        }
    }
}

/**
 * Funkce smazání obsahu
 *
 * @param address umístění souboru pro smazání
 * @param _GET hodnoty umístěné v adrese pro ověření požadavku smazání
 * @param type
 */
function deleteFile($address, $_GET, $type = FALSE, $lang) {
    $check = (isset($_GET['check'])) ? $_GET['check'] : FALSE;
    $action = $_GET['action'];
    $id_ref = $_GET['id'];
    $number = $_GET['number'];
    if ($action == "del" || $action == "del-com" || $action == "del-file") {
        if ($check == TRUE) {
            if ($type == TRUE) {
                if (unlink($address . $number)) {
                    showInfoText($lang['document_was_deleted'], FALSE, "table", $id_ref);
                }

                function rrmdir($dir) {
                    if (is_dir($dir)) {
                        $objects = scandir($dir);
                        foreach ($objects as $object) {
                            if ($object != "." && $object != "..") {
                                if (filetype($dir . "/" . $object) == "dir")
                                    rrmdir($dir . "/" . $object); else
                                    unlink($dir . "/" . $object);
                            }
                        }
                        reset($objects);
                        rmdir($dir);
                    }
                }

                $numbersub = substr($number, 0, 19);
                rrmdir($address . "comments/" . $numbersub . "/");
            } else {
                if (unlink($address . $number)) {
                    showInfoText($lang['document_was_deleted'], FALSE, "table", $id_ref);
                }
            }
        } else {
            showInfoText($lang['document_delete_question'], "<a href=\"?id=$id_ref&action=$action&number=$number&check=TRUE\" class=\"yes\">$lang[yes]</a>/<a href=\"?id=$id_ref\" class=\"no\">$lang[no]</a>", "table", FALSE);
        }
    } else {
        showInfoText($lang['delete_requierement_not_exist'], "table", FALSE);
    }
}

/**
 * Hledání v souborech
 *
 * @param adddress = poloha prohledávané složky
 * @param section = sekce (články, stránky a pod.)
 * @param keywords = vyhledávaná slova
 * @param admin - pole s daty nastavení administrace
 *
 */
function docSearch($address, $section, $keyword, $admin, $lang) {
    if (isset($keyword)) {
        $document = scandir($address);
        $count = count(scandir($address)) - 1;

        for ($a = 0; $a <= $count; $a++) {
            if (!is_dir($address . $document[$a])) {
                if ($address != "../pub/fil/") {
                    $file = fopen($address . $document[$a], "r");
                    $content = fread($file, filesize($address . $document[$a]));
                    fclose($file);
                    $file = false;
                }

                /**
                 * Výběr zobrazovacího rozhraní
                 */
                switch ($section) {
                    case "articles":
                        list($name, $perex, $content, $rubrics, $comments_set, $content_type, $link_type, $link_rel, $link, $status, $date, $author, $date_2, $fullname, $tag) = explode("!mpc#!", $content);

                        //list($name, $perex, $content, $rubrics, $comments, $keywords, $description, $link, $status, $author, $date) = explode("!mpc#!",$content);
                        if (preg_match("~$keyword~i", $name)) {
                            $lenght = $admin['text_lenght'];
                            $name = textShorter($name, $lenght);
                            echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\"> $author <img src=\"bin/styles/transdmin/img/box.png\"  alt=\"Rubrika\" title=\"Rubrika\"> $rubrics <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . "<img src=\"bin/styles/transdmin/img/time_go.png\" alt=\"Datum\" title=\"Datum\">$status<br><span class=\"action\"><span class=\"view\"><a href=\"../?a=$document[$a]\" target=\"_blank\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=articles&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=articles&action=del&number=$document[$a]\">$lang[delete]</a></span> | <span class=\"comments\"><a href=\"#\">$lang[comments]</a></span></span></td></tr>\n\n";
                        }
                        break;

                    case "rubrics":
                        list($name, $date, $author) = explode("!mpc#!", $content);
                        if (preg_match("~$keyword~i", $name)) {
                            $lenght = $admin['text_lenght'];
                            $name_r = textShorter($name, $lenght);
                            echo "<tr><td>$name_r</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <br><span class=\"action\"><span class=\"view\"><a href=\"../?r=$name\" target=\"_blank\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=rubrics&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=rubrics&action=del&number=$document[$a]\">$lang[delete]</a></span></span></td></tr>\n\n";
                        }
                        break;

                    case "links":
                        list($name, $content, $link_rype, $link_rel, $author, $date) = explode("!mpc#!", $content);
                        if (preg_match("~$keyword~i", $name)) {
                            $lenght = $admin['text_lenght'];
                            $name = textShorter($name, $lenght);
                            echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <br><span class=\"action\"><span class=\"view\"><a href=\"$content\" target=\"_blank\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=links&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=links&action=del&number=$document[$a]\">$lang[delete]</a></span></span></td></tr>\n\n";
                        }
                        break;

                    case "pages":
                        list($name, $perex, $content, $rubrics, $comments, $keywords, $description, $link, $status, $author, $date) = explode("!mpc#!", $content);
                        if (preg_match("~$keyword~i", $name)) {
                            $lenght = $admin['text_lenght'];
                            $name = textShorter($name, $lenght);
                            echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <img src=\"bin/styles/transdmin/img/time_go.png\" alt=\"Datum\" title=\"Datum\">$status<br><span class=\"action\"><span class=\"view\"><a href=\"../?p=$document[$a]\" target=\"_blank\">$lang[show]</a></span> | <span class=\"edit\"><a href=\"?id=pages&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=pages&action=del&number=$document[$a]\">$lang[delete]</a></span> | <span class=\"comments\"><a href=\"#\">$lang[comments]</a></span></span></td></tr>\n\n";
                        }
                        break;

                    case "polls":
                        list($name, $author, $type, $perex, $content, $rubrics, $date, $comments, $extras) = explode("!mpc#!", $content);
                        if (preg_match("~$keyword~i", $name)) {
                            $lenght = $admin['text_lenght'];
                            $name = textShorter($name, $lenght);
                            echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author <img src=\"bin/styles/transdmin/img/box.png\"  alt=\"Rubrika\" title=\"Rubrika\">$rubrics <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <br><span class=\"action\"><span class=\"view\" target=\"_blank\">$lang[show]</span> | <span class=\"edit\"><a href=\"?id=polls&action=edit&number=$document[$a]\">$lang[edit]</a></span> | <span class=\"delete\"><a href=\"?id=polls&action=del&number=$document[$a]\">$lang[delete]</a></span> | <span class=\"comments\">$lang[comments]</span></span></td></tr>\n\n";
                        }
                        break;

                    case "files":
                        //list($name, $author, $type, $perex, $content, $rubrics, $date, $comments, $extras) = explode("!mpc#!",$content);
                        if (preg_match("~$keyword~i", $document[$a])) {
                            echo "<tr><td>";
                            $doc_img = substr("../pub/fil/$document[$a]", -4);
                            if ($doc_img == "jpg" || ".jpg" || "jpeg" || ".gif" || ".bmp" || "tiff" || ".png") {
                                echo "<img src='../pub/fil/$document[$a]'  class='miniImage'>";
                            }
                            $lenght = $admin['text_lenght'];
                            $name = textShorter($document[$a], $lenght);
                            echo "$name</td><td class=\"info\"> <br><span class=\"action\"><span class=\"view\"><a href=\"../pub/fil/$document[$a]\" target='_blank'>$lang[show]</a></span> | <span class=\"delete\"><a href=\"?id=files&action=del&number=$document[$a]\">$lang[delete]</a></span></span></td></tr>\n\n";
                        }
                        break;

                    case "photogalleries":
                        list($name, $author, $type, $perex, $content, $rubrics, $date, $comments, $extras) = explode("!mpc#!", $content);
                        if (preg_match("~$keyword~i", $name)) {
                            $lenght = $admin['text_lenght'];
                            $name = textShorter($name, $lenght);
                            echo "<tr><td>$name</td><td class=\"info\"><img src=\"bin/styles/transdmin/img/user.png\" alt=\"Autor\" title=\"Autor\">$author <img src=\"bin/styles/transdmin/img/box.png\"  alt=\"Rubrika\" title=\"Rubrika\">$rubrics <img src=\"bin/styles/transdmin/img/calendar.png\" alt=\"Datum\" title=\"Datum\">" . substractDate($date) . " <br><span class=\"action\"><span class=\"view\"><a href=\"\" target=\"_blank\">$lang[show]</span> | <span class=\"edit\"><a href=\"?id=photogalleries&action=edit&number=$document[$a]\">Upravit</a></span> | <span class=\"delete\"><a href=\"?id=photogalleries&action=del&number=$document[$a]\">$lang[delete]</a></span> | <span class=\"comments\"><a>$lang[comments]</a></span></span></td></tr>\n\n";
                        }
                        break;
                }
            }
        }
        return $searching = "Active";
    }
}

/**
 * Odhlášení uživatele pro neaktivitě
 *
 */
function inactiveLogOut($logout) {
    if ($logout != "0") {
        if (isset($_SESSION['autologout'])) {
            if (time() >= $_SESSION['autologout']) {
                session_destroy();
                header("location: ../login.php");
            }
        }
        $logouttime = $logout * 60;
        $_SESSION['autologout'] = time() + $logouttime;
    }
}

/**
 * Načtení souboru pro splnění podmínek zadaných v parametrech
 */
function loadOnSetting($setting, $status, $include) {
    if ($setting == $status) {
        include($include);
    }
}

/**
 * Funkce pro vytvoření seznamu <option> s rubrikami
 * @param address = složka k prohledání
 * @param rubric = rubrika momentálně vybraná
 */
function loadRubrics($address, $rubric) {
    $dir = opendir($address);
    $count = null;
    while (($file = readdir($dir))) {
        if (!is_dir($file)) {
            $count++;
            $real++;
            $document[$count] = $file;
        }
    }

    for ($a = 1; $a <= $count; $a++) {
        $file = fopen($address . $document[$a], "r");
        $content = fread($file, filesize($address . $document[$a]));
        fclose($file);
        list($name, $date, $author) = explode("!mpc#!", $content);
        echo "<option value='$name' ";
        activeLink($rubric, $name, 'selected="selected"');
        echo" >$name</option>\n";
    }
}

/**
 * Funkce pro načtení informací o stylech webu a vygenerování HTML Option pro zobrazení v seznamu
 *
 * @param address - adresa složky se styly
 * @param style - V případě výběru určitého stylu se odešle jeho název a je výbrán v selected
 */
function loadStyle($address, $style) {
    $dir = scandir($address, 1);
    $count = count(scandir($address)) - 3;

    for ($a = 0; $a <= $count; $a++) {
        if($dir[$a] != "login.css"){
            //$file = fopen($address.$dir[$a]."/info.php", r);
            //$content = fread($file, filesize($address.$dir[$a]."/info.php"));
            //fclose($file);
            //list($name, $date, $author) = explode("!mpc#!",$content);
            echo "<option value='$dir[$a]' ";
            activeLink($style, $dir[$a], 'selected="selected"');
            echo" >$dir[$a]</option>\n";            
        }

    }
}

/**
 * Funkce pro odhlášení uživatele
 */
function logOut($parameter, $id, $lang) {
    if ((isset($parameter[$id])) && ($parameter[$id] == "logout")) {
        if (session_destroy()) {
            setcookie("permanent_access", 0);
            setcookie("permanent_access_pass", 0);
            header("Location: ../");
            exit($lang['you_are_logged_out']);
        }
    }
}

/**
 * Funkce pro rychlé vytvoření souboru s možností nastavení veśkerých parametrů
 *
 * @param address $address = umístění souboru
 * @param name $name = název souboru
 * @param type $type = koncovka souboru (.php, .txt, ...)
 * @param content $content = obsah k uložení
 * @param mod $mod = mod zápisu
 *
 */
function makeClearDocument($address, $name, $type, $content, $mod) {
    $file = fopen($address . $name . $type, $mod);
    fwrite($file, $content);
    fclose($file);
}

/**
 * Vytvoření souboru, tj. články, stránky a pod.
 */
function makeDocument($content, $address, $date, $mod, $name, $edit, $type, $stat, $old_name, $mps = null, $lang, $url_holder = false) {
    if (!isset($stat)) {
        $stat = "now";
    }
    if (isset($mps)) {
        $mps = $mps . "-";
    }
    /**
     * Způsob zapsání obsahu do souboru
     */
    switch ($type) {
        /**
         * Vytvoření článku, stránky a rubriky
         */
        case "article":
        case "page":
        case "rubric":
        case "poll":
        case "link":
            /* pokud se dokument vytváŕí */
            if ($edit == "") {                
                if ($stat == "save") {
                    $address = $address . date("Y-m-d-H-i-s") . "-" . $name . ".txt";
                }
                if ($stat == "wait") {
                    $address = $address . $date . "-" . $name . ".txt";
                }
                if ($stat == "now") {
                    $address = $address . $mps . date("Y-m-d-H-i-s") . "-" . $name . ".txt";
                }
            } else {
                if ($stat == "save") {
                    unlink($address . $edit . "-" . $old_name . ".txt");
                    $address = $address . $edit . "-" . $name . ".txt";
                }
                if ($stat == "wait") {
                    unlink($address . $edit . "-" . $old_name . ".txt");
                    $address = $address . $date . "-" . $name . ".txt";
                }
                if ($stat == "now") {
                    if($url_holder == false){                                            
                        unlink($address . $edit . "-" . $old_name . ".txt");
                        if (isset($_GET['id']) && $_GET['id'] == "pages") {
                            $edit = substr($edit, 2, 21);
                        }
                        $address = $address . $mps . $edit . "-" . $name . ".txt";
                    } else {
                        unlink($address . $edit . "-" . $old_name . ".txt");
                        if (isset($_GET['id']) && $_GET['id'] == "pages") {
                            $edit = substr($edit, 2, 21);
                        }
                        $address = $address . $mps . $edit . "-" . $old_name . ".txt";
                    }
                }
            }

            $file = fopen($address, $mod);
            fwrite($file, $content);
            fclose($file);
            if (file_exists($address)) {
                $id_ref = $_GET['id'];
                showInfoText($lang['document_was_published'], FALSE, "table", $id_ref);
            }
            break;

        case "file":
            for ($a = 0; $a <= count($_FILES["mpc_file"]["name"]) - 1; $a++) {
                if ($soubor_name = ($_FILES["mpc_file"]["name"][$a])) {
                    $soubor_name = ($_FILES["mpc_file"]["name"][$a]);

                    //Zjištění existence stejného souboru
                    /* $document = scandir("../pub/fil/");
                      $count = count(scandir("../pub/fil/"));
                      for($a = 0; $a <= $count; $a++){
                      if($soubor_name == $document[$a]){
                      $file_exist++;
                      showInfoText($lang['document_with_same_name_failed'], FALSE, "table", "files");
                      }
                      }
                     */
                    if (!is_dir($address)) {
                        mkdir($address);
                    }
                    if (!file_exists($address . $soubor_name)) {
                        $soubor = ($_FILES["mpc_file"]["tmp_name"][$a]);
                        if ($soubor_name != False) {
                            $soubor_name = cleanForURL($soubor_name, "file");
                            if (move_uploaded_file($soubor, $address . $soubor_name)) {
                                if ($_GET['id'] == "photogalleries") {
                                    $ref = "photogalleries";
                                } else {
                                    $ref = "files";
                                }
                                showInfoText($lang['document_was_published'], FALSE, "table", $ref);
                            }
                        }
                    } else {
                        showInfoText($lang['document_with_same_name_failed'], FALSE, "table", $ref);
                    }
                }
            }
            break;

        case "favicon":
            if ($soubor_name = ($_FILES["icon"]["name"])) {
                $soubor_name = ($_FILES["icon"]["name"]);
                if (!file_exists($address . $soubor_name)) {
                    $soubor = ($_FILES["icon"]["tmp_name"]);
                    if ($soubor_name != False) {
                        $soubor_name = "favicon.ico";
                        if (move_uploaded_file($soubor, $address . $soubor_name)) {
                            if ($_GET['id'] == "photogalleries") {
                                $ref = "photogalleries";
                            } else {
                                $ref = "files";
                            }
                            showInfoText($lang['document_was_published'], FALSE, "table", $ref);
                        }
                    }
                } else {
                    showInfoText($lang['document_with_same_name_failed'], FALSE, "table", $ref);
                }
            }
            break;

        case "photogallerie":
                $date = date("Y-m-d-H-i-s");
                $address_2 = $address;            
            if ($edit == "") {
                if ($stat == "save") {
                    $address = $address . $date . "-" . $name . ".txt";
                }
                if ($stat == "wait") {
                    $address = $address . $date . "-" . $name . ".txt";
                }
                if ($stat == "now") {                    
                    $address = $address . $date . "-" . $name . ".txt";
                    rename($address_2 . "images/temp/", $address_2 . "images/" . $date);                    
                }
            } else {
                if ($stat == "save") {
                    unlink($address . $edit . "-" . $old_name . ".txt");
                    $address = $address . $edit . "-" . $name . ".txt";
                }
                if ($stat == "wait") {
                    unlink($address . $edit . "-" . $old_name . ".txt");
                    $address = $address . $date . "-" . $name . ".txt";
                }
                if ($stat == "now") {
                    
                    if($url_holder == false){                                            
                        unlink($address . $edit . "-" . $old_name . ".txt");
                        $address = $address . $edit . "-" . $name . ".txt";
                    } else {
                        unlink($address . $edit . "-" . $old_name . ".txt");
                        $address = $address . $edit . "-" . $old_name . ".txt";
                    } 
                    
                    $dirka = scandir($address_2 . "images/temp/");
                    foreach ($dirka as $key => $value) {
                        if($value != ".." && $value != "."){
                               rename($address_2 . "images/temp/" . $value, $address_2 . "images/" . $edit . "/" . $value);
                        }
                    }
                    
                    
                        //rename();
                        //unlink($address . $edit . "-" . $old_name . ".txt");
                        //$address = $address . $edit . "-" . $name . ".txt";
                }
            }
            
            
            if ($file = fopen($address, $mod)) {
                fwrite($file, $content);
                fclose($file);
                showInfoText($lang['document_was_published'], FALSE, "table", "photogalleries");
            } else {
                showInfoText($lang['document_published_failed'], FALSE, "table", "photogalleries");
            }
            break;
    }
}

function paging($contentStat) {
    echo "<div id=\"paging\">";
    if (($contentStat['0'] > 0) && ($contentStat['0'] < $contentStat['1'])) {
        echo "Stránkování";
        $round = round($contentStat['1'] / $contentStat['0']);
        for ($a = 1; $a <= $round; $a++) {
            echo '<a href="?id=' . $_GET["id"] . '&paging=' . $a . '">' . $a . '</a> ';
        }
    }
    echo "</div>";
}

function panelsStat($address, $lang) {
    $document = scandir($address);
    $count = count($document) - 1;
    if ($count == 1) {
        showInfoText($lang['there_is_no_panel'], FALSE, "row", FALSE);
    }
    if ($count > 1) {
        for ($a = 2; $a <= $count; $a++) {
            $file = fopen($address . $document[$a], r);
            $content = fread($file, filesize($address . $document[$a]));
            fclose($file);
            list($name) = explode("!mpc#!", $content);
            $content = htmlentities($content);
            showInfoText($content, FALSE, "row", FALSE);
        }
    }
}

/**
 * Funkce pro vypisování systémových hlášek
 *
 * @param text $text je zpráva urćená k výpisu
 * @param text_2 $text_2 je zpráva dodatečná
 * @param type $type je typ zprávy, repsektive jaký má mít html kód
 * @param id_ref $id_ref je pozice v systému na kterou se má následné pŕesměrovat
 *
 */
function showInfoText($text, $text_2, $type, $id_ref) {
    switch ($type) {
        case "table":
            echo "
          <br>\n
          <table cellpadding=\"0\" cellspacing=\"0\"  class=\"sys\">\n
            <tr class=\"odd\"><td>$text</td><td class=\"info\">$text_2</td></tr>\n
          </table>\n
          <br>\n
          ";
            break;

        case "row":
            echo "<tr><td>$text</td><td class=\"info\">$text_2</td></tr>\n";
            break;

        case "none":
            echo $text;
            break;
    }

    if ($id_ref != FALSE) {
        //echo "<meta http-equiv=\"refresh\" content=\"1;URL=?id=$id_ref\">\n";
        echo "<script type='text/javascript'>setTimeout(\"location.href='?id=$id_ref';\", 2000);</script> ";
    }
}

/**
 * Upravení data do čitelnějšího stavu z YYYY.MM.DD.HH.MM.SS >> DD. MM. YYYY HH:MM
 *
 * @param date $date proménná se surovým časem určeným k pŕevodu do formátu D. MM. YYYY HH:MM
 *
 * @return $date = datum ve formátu YYYY.MM.DD.HH.MM.SS určenéo pro převod
 */
function substractDate($date) {
    $substrDateYear = substr($date, 0, 4);
    $substrDateMonth = substr($date, 5, 2);
    $substrDateDay = substr($date, 8, 2);
    $substrDateHour = substr($date, 11, 2);
    $substrDateMin = substr($date, 14, 2);
    $substrDateSec = substr($date, 17, 2);

    return $substrDate = $substrDateDay . "." . $substrDateMonth . "." . $substrDateYear . " " . $substrDateHour . ":" . $substrDateMin . ":" . $substrDateSec;
}

/**
 * Vytvoření počítadla pro přesováníse mezi stránkami
 *
 * @param address $address = složka k prohledání se soubory
 * @param stat $stat = lokace v systému
 * @param set_count $set_count = počet stránek k zobrazení
 * @param back $back = ????
 *
 */
function systemCounter($address, $stat, $set_count, $back) {
    if ($back != "Active") {
        $document = scandir($address);
        $count = count(scandir($address)) - 4;
        if ($count >= $set_count) {
            $counter = $count / $set_count;
            $counter++;
            echo "<br>";
            echo "| ";
            for ($a = 1; $a <= $counter; $a++) {
                echo '<a href="?id=' . $stat . '&c=' . $a . '">' . $a . '</a> | ';
            }
            echo "<br>";
        }
    }
}

/**
 * Funkce pro vytvoření účtu
 *
 * @param address $address je pozice do které má být uložen systémový soubor
 * @param name $name jméno souboru
 * @param content $content obsah souboru
 * @param mod $mod mod zápisu souboru
 * @param edit $edit proménná obsahující informace zda li se jedná o úpravu či vytvoŕení
 * @param id_red $id_ref je adresa, na kterou se má následné pŕejít.
 * @param old_name $old_name v případě úpravy se použije staré jméno soubrou (úćtu)
 *
 */
function systemMakeAccount($address, $name, $content, $mod, $edit, $id_ref, $old_name, $lang) {

    /**
     * Pokud účet neexistuje, vytvoŕí se
     */
    if (!file_exists($address . $name . ".php") && $edit == 0) {
        if ($file = fopen($address . $name . ".php", $mod)) {
            fwrite($file, $content);
            fclose($file);
            showInfoText($lang['account_was_created'], FALSE, "table", "system&action=manage_accounts");
        } else {
            showInfoText($lang['account_creation_failed'], FALSE, "table", "system&action=manage_accounts");
        }
    } elseif (file_exists($address . $old_name . ".php") && $edit == 1) {
        /**
         * Pokud účet existuje a je požadována úprava, provede se
         */
        rename($address . $old_name . ".php", $address . $name . ".php");
        if ($file = fopen($address . $name . ".php", $mod)) {
            fwrite($file, $content);
            fclose($file);
            showInfoText($lang['account_was_edited'], FALSE, "table", "system&action=manage_accounts");
        }
    } else {
        /**
         * Pokud již účet existuje a není požadována úprava, vypíše se
         */
        showInfoText($lang['created_account_exist'], FALSE, "table", "system&action=manage_accounts");
    }
}

/**
 * Funkce pro vytvoření dokumentů systému s ověřením existence a pŕesmérováním
 *
 * @param address $address = složka, do které se má soubor uložit
 * @param name $name = jméno souboru
 * @param content $content = obsak k uložení
 * @param mod $mod = mód zápisu
 */
function systemMakeDocument($address, $name, $content, $mod, $lang) {
    $file = fopen($address . $name . ".php", $mod);
    fwrite($file, $content);
    fclose($file);

    if (file_exists($address . $name . ".php")) {
        $id_ref = $_GET['id'];
        showInfoText($lang['system_setting_saved'], FALSE, "table", $id_ref);
    }
}

/**
 * Zkracování textu podle zadaných parametrů délky s ukončením pomocí teček
 *
 * @param text $text = text urćen ke zkrácení
 * @param long $long = délka textu na výstupu
 *
 * @return Zkrácený text
 *
 * Bug: Při zkracování ma v některých případech problém s diakritikou
 */
function textShorter($text, $long) {
    //Pokud je text delší než zadaná max. délka, zkrátí se
    if (strlen($text) > $long) {
        return substr($text, 0, $long) . "...";
    } else {
        return $text;
    }
}

/**
 * Časování textu
 *
 * @param number $number Počet pro který má být text vyćasován
 * @param one $one text pro stav 0 a vetší než pět
 * @param two $two text pro stav 1
 * @param three $three text pro stav vetší jak 2 a menší než 4
 *
 */
function escalation($number, $one, $two, $three) {
    if ($number == 0 || $number >= 5) {
        return $one;
    }
    if ($number == 1) {
        return $two;
    }
    if ($number >= 2 && $number <= 4) {
        return $three;
    }
}

function smartMenu($filename, $delimiter, $pattern) {
    $file = fopen($filename, "r");
    $content = fread($file, filesize($filename));
    fclose($file);
    $count = null;
    $exp = explode($delimiter, $content);
    foreach ($exp as $key => $value) {
        if (preg_match($pattern, $value)) {
            $count++;
        }
    }
    if ($count >= 1) {
        return $count;
    } else {
        return 0;
    }
}
?>