<?php
    session_start();
    /**
    * Ověření přihlášení uživatele
    * Pokud byl již uživatel jednou přihlášen a neodhlásil se, bude přesměrován rovnou do administrace.
    * Do administrace se přesměruje i v případě existence COOKIE.
    */
    if (isset($_SESSION['name']) || isset($_COOKIE['permanent_access'])) {
        if (isset($_SESSION['name'])) {
            $user = $_SESSION['name'];
            $pass = $_SESSION['password'];
        } elseif (isset($_COOKIE['permanent_access'])) {
            $user = $_COOKIE['permanent_access'];
            $pass = $_COOKIE['permanent_access_pass'];
        }
        if (file_exists("./usr/" . $user . ".php")) {
            include("./usr/$user.php");
            /**
             * Ověření jména a hesla v sha1 hashi
             */
            if ($user == $account['user_nick'] && $pass == $account['user_password']) {
                $_SESSION['fullname'] = $account['user_name'] . " " . $account['user_surname'];
                //header("location: ./home/");
            }
        }
    } else {
        $_SESSION['name'] = NULL;
    }
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=utf-8">
        <meta name="description" content="Přihlašovací formulář systému MyPage CMS">
        <meta name="generator" content="MyPage CMS, mypage.jiribednar.eu">
        <meta name="author" content="All: Jiří Bednář; e-mail: programator@jiribednar.eu">
        <meta name="robots" content="noindex,nofollow">
        <link rel="stylesheet" href="bin/style/login.css" type="text/css">
        <link rel="icon" type="image/png" href="home/favicon.png">
        <link rel="shortcut icon" href="home/favicon.ico">
        <title>MyPage CMS 2 - Přihlášení</title>
    </head>
<body>
    <div id="container">
        <div id="content">
            <h1>MyPage <span id="cms">CMS</span> 2</h1>
            <?php
                /**
                 * Nastavení action pro formuláře
                 * If Pokud neexistuje žádná id v adreseře, nebo obsahuje "login" provede se
                 * Elseif Pokud bude id obsahovat "lost-password" provede se
                 */
                if ((!isset($_GET['id'])) || $_GET['id'] == "login") {
                    $get_id = "?id=login";
                } elseif ($_GET['id'] == "lost-password") {
                    $get_id = "?id=lost-password";
                }
            ?>
            <form action="<?php /* vložení action z výše uvedeného if */ echo $get_id ?>" method="post">
                <fieldset>
                    <?php
                        /**
                         * Formulář pro přihlášení
                         */
                        if ((!isset($_GET['id'])) || $_GET['id'] == "login") {
                            echo '<p><label>Uživatelské jméno</label><input type="text" name="name" class="text-medium"></p>';
                            echo '<p><label>Heslo</label><input type="password" name="password" class="text-medium"></p>';
                            echo '<p id="perm"><label>Trvalé přihlášení<input type="checkbox" name="perm" value="true"></label></p>';            
                            $submit_button = "Přihlásit se";
                        }

                        /**
                         * Formulář pro stracené heslo
                         */ 
                        elseif ($_GET['id'] == "lost-password") {
                            echo '<p><label>Uživatelské jméno<span class="star">*</span></label><input type="text" name="name" class="text-medium"></p>';
                            echo '<p><label>E-mail<span class="star">*</span></label><input type="text" name="email" class="text-medium"></p>';
                            $submit_button = "Zaslat nové heslo";
                        }
                    ?>
                    <input type="submit" class="button-submit" value="<?php echo $submit_button; ?>">
                    <input type="hidden" name="submit" value="true">
                    <div id="links">
                    <?php
                        /**
                         * Zobrazení přepináče pro zapomenuté heslo/přihlášení se
                         */
                        if ((!isset($_GET['id'])) || $_GET['id'] == "login") {
                            echo '<a href="?id=lost-password">Zapomenuté heslo</a>';
                        } elseif ($_GET['id'] == "lost-password") {
                            echo '<a href="?id=login">Přihlásit se</a>';
                        }
                    ?>
                    </div>
                </fieldset>
            </form>
            <?php
                /**
                 * Ověření zda byl formulář odeslán
                 */
                if ((isset($_POST['name'])) && (isset($_POST['password'])) && (isset($_POST['submit']))) {
                    echo "<div id='status'>";
                    /**
                     * Ověření zda přihlašovací jméno existuje
                     */
                    if (file_exists("usr/$_POST[name].php")) {
                        /**
                         * Includovani soubory s daty žádaného uživatele
                         */
                        include("usr/$_POST[name].php");
                        /**
                         * Ověření správných dat žádaného uživatele s daty v souboru uživatele
                         */
                        if (!preg_match("/[^-a-z0-9.-]/i", $_POST['name']) && $account['user_nick'] == $_POST['name'] && $account['user_password'] == sha1($_POST['password'])) {
                            if ($account['user_access'] == "admin" || $account['user_access'] == "moderator") {
                                if (isset($_POST['perm'])) {
                                    /**
                                     * cookie timeotu one week!
                                     */
                                    setcookie("permanent_access", $account['user_nick'], time() + 10080 * 60);
                                    setcookie("permanent_access_pass", $account['user_password'], time() + 10080 * 60);
                                }
                                /**
                                 * Vypsání hlášky přihlášení, zaregistrování session a přesměrování do systému
                                 */
                                echo "<script type='text/javascript'>setTimeout(\"location.href='./home/';\", 0);</script> ";
                                echo "<span class='blue'>Jste přihlášeni</span>";
                                $_SESSION['name'] = $_POST['name'];
                                $_SESSION['password'] = sha1($_POST['password']);
                                $_SESSION['fullname'] = $account['user_name'] . " " . $account['user_surname'];
                            } else {
                                echo "<span class='red'>Do administrace nemáte přístup</span>";
                            }
                        }
                        /**
                         * Pokud nesouhlasí jméno/heslo vypíše se hláška
                         */ 
                        else {
                            echo "<span class='red'>Špatné přihlašovací údaje!</span>";
                        }
                    }
                    /**
                     * V případě že pŕihlašovací jméno neexistuje, vypíše se varovná hláška
                     */ 
                    else {
                        echo "<span class='red'>Špatné přihlašovací údaje!</span>";
                    }
                }

                /**
                 * If pro odeslání nového hesla na email žadatele, zároveň se změnou v systému
                 */
                if ((isset($_GET['id'])) && $_GET['id'] == "lost-password" && (isset($_POST['submit']))) {
                    echo "<div id='status'>";
                    if ((isset($_POST['email']) && $_POST['email'] != FALSE) || ($_POST['name'] && $_POST['name'] != FALSE)) {
                        /**
                         * věření zda přihlašovací jméno existuje
                         */
                        if (file_exists("usr/$_POST[name].php")) {
                            /**
                            * Includovani soubory s daty žádaného uživatele
                            */
                            include("usr/$_POST[name].php");
                            if ($account['user_nick'] == $_POST['name'] && $account['user_email'] == $_POST['email']) {
                                $new_password = rand(0, 9) . rand(0, 9) . rand(0, 9) . rand(0, 9) . rand(0, 9) . rand(0, 9);
                                $message = "Nové heslo pro přístup do systému je $new_password.";
                                if (mail($account['user_email'], 'Nové heslo pro MyPage CMS', $message)) {
                                    $content = '<?php
$account = array(
"user_nick" =>"' . $account['user_nick'] . '",
"user_name" => "' . $account['user_name'] . '",
"user_surname" => "' . $account['user_surname'] . '",
"user_email" => "' . $account['user_email'] . '",
"user_password" => "' . sha1($new_password) . '",
"user_access" => "' . $account['user_access'] . '",
"user_sex" => "' . $account['user_sex'] . '",
"user_reg" => "' . $account['user_reg'] . '
");
?>';
                                    ?>
                                    <?php
                                    $file = fopen("usr/" . $_POST['name'] . ".php", "w");
                                    fwrite($file, $content);
                                    fclose($file);

                                    echo "<span class='blue'>Nové heslo bylo zasláno na email</span>";
                                    echo "<meta http-equiv=\"refresh\" content=\"2;URL=./login.php\">";
                                } else {
                                    echo "<span class='red'>Vyskytla se chyba při odesílání emailu, heslo nebylo změněno.</span>";
                                }
                            } else {
                                echo "<span class='red'>Heslo nemohlo být odesláno. <br> Ověřte zda jste zadali správně <b>jméno</b> a <b>email</b></span>";
                            }
                        } else {
                            echo "<span class='red'>Heslo nemohlo být odesláno. <br> Ověřte zda jste zadali správně <b>jméno</b> a <b>email</b></span>";
                        }
                    } else {
                        echo "<span class='red'>Heslo nemohlo být odesláno. <br> Ověřte zda jste zadali správně <b>jméno</b> a <b>email</b></span>";
                    }
                    echo "</div>";
                }
            ?>
        </div>
    </div>
</body>
</html>